------------------------------------------------------------------------
r13150 | gerald | 2005-01-20 13:37:05 -0600 (Thu, 20 Jan 2005) | 7 lines
Changed paths:
   M /releases/ethereal-0.10.9/epan/dissectors/packet-dnp.c

Copy over r13134:

 Free the chunk of reassembled DNP data iff there was a CRC error;
 otherwise, we're using it in a tvbuff and shouldn't free it (even if the
 next level of reassembly isn't complete, so that al_tvb is ultimately
 null).

------------------------------------------------------------------------
r13147 | gerald | 2005-01-20 09:32:56 -0600 (Thu, 20 Jan 2005) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.9/ChangeLog

Update the ChangeLog.

------------------------------------------------------------------------
r13146 | gerald | 2005-01-20 09:30:59 -0600 (Thu, 20 Jan 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.9/make-version.pl

Copy over r13109:

 Fix the handling of "enable: 0" in version.conf.

------------------------------------------------------------------------
r13145 | gerald | 2005-01-20 08:50:41 -0600 (Thu, 20 Jan 2005) | 6 lines
Changed paths:
   M /releases/ethereal-0.10.9/epan/dissectors/packet-http.c
   M /releases/ethereal-0.10.9/epan/dissectors/packet-rtsp.c
   M /releases/ethereal-0.10.9/epan/req_resp_hdrs.c
   M /releases/ethereal-0.10.9/epan/req_resp_hdrs.h

Copy over r13128:

 There's no guaranteee that "req_resp_hdrs_do_reassembly()" gets called
 only at the beginning of a tvbuff, so it needs an argument that's the
 starting offset in the tvbuff.

------------------------------------------------------------------------
r13144 | gerald | 2005-01-20 08:39:15 -0600 (Thu, 20 Jan 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.9/epan/dissectors/packet-gsm_map.c
   M /releases/ethereal-0.10.9/epan/dissectors/packet-gsm_map.h

Copy over r13131 (a palindrome!):

Back out the asn2eth-generated GSM MAP dissector for now, at Anders
Broman's request, as it has a number of problems.

------------------------------------------------------------------------
r13143 | gerald | 2005-01-20 08:36:45 -0600 (Thu, 20 Jan 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.9/tools/asn2eth.py

Copy over r13137:

Fix bug in SEQUENCE/SET OF handling

------------------------------------------------------------------------
r13142 | gerald | 2005-01-20 08:35:34 -0600 (Thu, 20 Jan 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.9/asn1/h225/h225.cnf
   M /releases/ethereal-0.10.9/asn1/h225/packet-h225-template.c
   M /releases/ethereal-0.10.9/epan/dissectors/packet-h225.c

Copy over r13138 and r13139:

NonStandardData and TunnelledProtocol reimplemented and tested
H225 dissector regenerated with new asn2eth version

------------------------------------------------------------------------
r13125 | gerald | 2005-01-19 17:21:46 -0600 (Wed, 19 Jan 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.9/epan/dissectors/packet-h225.c
   M /releases/ethereal-0.10.9/epan/dissectors/packet-h225.h

Copy over r13123:

 Attempt to reimplement "non standard data/parameter" and "tunnelled
 protocol"

------------------------------------------------------------------------
r13124 | gerald | 2005-01-19 17:21:14 -0600 (Wed, 19 Jan 2005) | 5 lines
Changed paths:
   M /releases/ethereal-0.10.9/asn1/h225/h225-exp.cnf
   M /releases/ethereal-0.10.9/asn1/h225/h225.cnf
   M /releases/ethereal-0.10.9/asn1/h225/packet-h225-template.c

Copy over r13122:

 Attempt to reimplement "non standard data/parameter" and "tunnelled
 protocol"

------------------------------------------------------------------------
r13121 | gerald | 2005-01-19 14:13:16 -0600 (Wed, 19 Jan 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_app_files.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_app_tools.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_build_install.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_capture.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_introduction.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_io.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_statistics.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_use.xml
   M /releases/ethereal-0.10.9/docbook/eug_src/EUG_chapter_work.xml

Copy over r13116:

 noticed by Nicolas Kaiser: fix various typos

------------------------------------------------------------------------
r13120 | gerald | 2005-01-19 14:11:54 -0600 (Wed, 19 Jan 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.9/epan/dissectors/packet-dcom-oxid.c

Copy over r13113:

 slightly improve dissection of complex_ping response

------------------------------------------------------------------------
r13119 | gerald | 2005-01-19 14:04:28 -0600 (Wed, 19 Jan 2005) | 4 lines
Changed paths:
   M /releases/ethereal-0.10.9/doc/mergecap.pod

Copy over r13112:

 we can merge more than two files with mergecap

------------------------------------------------------------------------
r13114 | gerald | 2005-01-18 16:20:46 -0600 (Tue, 18 Jan 2005) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.9/NEWS

Don't prefix "ALC" and "NORM" with "RMT".

------------------------------------------------------------------------
r13111 | gerald | 2005-01-18 14:21:52 -0600 (Tue, 18 Jan 2005) | 3 lines
Changed paths:
   M /releases/ethereal-0.10.9/NEWS

Move RMT ALC and RMT NORM from the "updated" section to the "new" section.
Add CVE candidate numbers.

------------------------------------------------------------------------
r13110 | gerald | 2005-01-18 13:51:25 -0600 (Tue, 18 Jan 2005) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.9/NEWS

Minor tweaks and edits.

------------------------------------------------------------------------
r13108 | gerald | 2005-01-17 20:38:11 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   A /releases/ethereal-0.10.9 (from /trunk:13107)

Create the 0.10.9 release branch.

------------------------------------------------------------------------
r13107 | guy | 2005-01-17 20:29:14 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-h450.h to the list of header files.

------------------------------------------------------------------------
r13106 | guy | 2005-01-17 20:15:33 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/README.macos

Fix a pathname.

------------------------------------------------------------------------
r13105 | lroland | 2005-01-17 17:42:22 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h245.c

Fix a small bug in h245.cnf.
All h.323 related statistics should work now in the same way as they did before the h323 dissectors were generated.
------------------------------------------------------------------------
r13104 | guy | 2005-01-17 17:26:45 -0600 (Mon, 17 Jan 2005) | 7 lines
Changed paths:
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h450.h

Use -1 rather than tvb_length() to create a protocol tree item that runs
to the end of the tvbuff.

Don't return a value from "dissect_h4501()" - the value isn't used, and
"dissect_h4501()" is registered with "register_dissector()", so it's not
supposed to return a value.

------------------------------------------------------------------------
r13103 | guy | 2005-01-17 17:01:12 -0600 (Mon, 17 Jan 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h450/Makefile
   M /trunk/asn1/h450/Makefile.nmake

Get rid of the "-b" flag - it's not what was used to generate the H.450
dissector that's currently checked in.

------------------------------------------------------------------------
r13102 | ulfl | 2005-01-17 16:52:09 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/NEWS

Ok, as I remember being able to change it myself, I've done so :-)
------------------------------------------------------------------------
r13101 | gerald | 2005-01-17 16:35:40 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

Updates for 0.10.9.  The NEWS is downright depressing.

------------------------------------------------------------------------
r13100 | etxrab | 2005-01-17 16:30:31 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h450.c
   A /trunk/epan/dissectors/packet-h450.h

Reinsert h450 dissection
------------------------------------------------------------------------
r13099 | etxrab | 2005-01-17 16:27:39 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h225/packet-h225-template.c

Use the new h450 dissector
------------------------------------------------------------------------
r13098 | etxrab | 2005-01-17 16:26:33 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-q931.h

Export q931_protocol_discriminator_vals
------------------------------------------------------------------------
r13097 | etxrab | 2005-01-17 16:25:36 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

If a string of zero length is encountered offset still needs to be advanced(?) 
------------------------------------------------------------------------
r13096 | guy | 2005-01-17 16:25:16 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Squelch compiler warnings about unused parameters.

------------------------------------------------------------------------
r13095 | gerald | 2005-01-17 16:24:53 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

Don't make GTK-Wimp enabled by default after all.

------------------------------------------------------------------------
r13094 | lroland | 2005-01-17 16:17:09 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/plugins/Makefile.nmake

Add mate to the clean and distclean target
------------------------------------------------------------------------
r13093 | guy | 2005-01-17 16:01:38 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/Makefile.nmake

Add MATE to the list of plugins.

------------------------------------------------------------------------
r13092 | lroland | 2005-01-17 15:52:30 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c

From Anders Broman:
Add recently lost support for the h.323 conversations tap in the h225 dissector.
------------------------------------------------------------------------
r13091 | ulfl | 2005-01-17 15:48:51 -0600 (Mon, 17 Jan 2005) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/menu.c

add first implementation of context relevant calls to the protocol specific wiki pages. I've commented out the items in menu.c, so this (hopefully) won't break the current release run. We might think about further steps after the release is out.

However, if someone (already) want's to try out right now, you simply have to remove the comments in menu.c around line 430
------------------------------------------------------------------------
r13090 | guy | 2005-01-17 15:38:31 -0600 (Mon, 17 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Fix a typo in the previous checkin.

------------------------------------------------------------------------
r13089 | etxrab | 2005-01-17 15:31:37 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h450/h4501.asn
   M /trunk/asn1/h450/packet-h450-template.c

Added some more h450.x functions
------------------------------------------------------------------------
r13088 | guy | 2005-01-17 13:30:31 -0600 (Mon, 17 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Use WINDIR rather than SYSTEMROOT - WINDIR is apparently set on Windows
OT as well as NT, while SYSTEMROOT isn't.

If it's not set, don't bother looking for the hosts file, rather than
trying a path with a fixed drive letter.  If it is set, try the Windows
NT location first and, if that fails, the Windows OT location.

------------------------------------------------------------------------
r13087 | gerald | 2005-01-17 10:45:15 -0600 (Mon, 17 Jan 2005) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/packaging/nsis/ethereal.nsi
   M /trunk/tools/win32-setup.sh

Switch the Windows build environment to GTK 2.4.14.  Enable GTK-Wimp by 
default in the installer.

------------------------------------------------------------------------
r13086 | kukosa | 2005-01-17 05:53:36 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py

Support of GeneralizedTime in PER
------------------------------------------------------------------------
r13085 | kukosa | 2005-01-17 04:09:43 -0600 (Mon, 17 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/epan/libethereal.def

ASN.1 PER VisibleString support
------------------------------------------------------------------------
r13084 | guy | 2005-01-17 02:13:02 -0600 (Mon, 17 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim.c

If a given TLV type isn't found in an aim_tlv table, just use "Unknown"
as the description - some aim_tlv tables have NULL in the end-of-table
entry.

For those that don't, replace "Unknown" with NULL; "Unknown" is now
redundant.

------------------------------------------------------------------------
r13083 | guy | 2005-01-16 21:39:58 -0600 (Sun, 16 Jan 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

When assembling application layer chunks, don't include the transport
layer byte in the reassembled data - including it means we have to pass
to "tvb_new_real_data()" a pointer to the *second* byte of a mallocated
chunk of data, but that would require us to have the free routine for
the new tvbuff back that pointer up before freeing it (we aren't doing
that currently, which means that "free()" either complains bitterly or,
potentially, corrupts the arena, causing crashes later).

Put in some XXX comments about some issues seen when looking at the
code.

------------------------------------------------------------------------
r13082 | guy | 2005-01-16 19:11:39 -0600 (Sun, 16 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

Add the source file name and line number to the dissector bug report
(not as useful as for bugs caught in the dissector itself, but still may
be useful).

------------------------------------------------------------------------
r13081 | guy | 2005-01-16 18:56:56 -0600 (Sun, 16 Jan 2005) | 8 lines
Changed paths:
   M /trunk/epan/proto.c

Use REPORT_DISSECTOR_BUG() for the "bogus length" error in
"alloc_field_info()", so the error report can include the field with the
problem.  (The file and line number isn't interesting - the bug isn't in
"alloc_field_info()", it's in the dissector that called the routine
calling "alloc_field_info()" - but the field name/abbrevition is
interesting, as it'd help developers identify the place in the dissector
where we're passing in a bogus length.)

------------------------------------------------------------------------
r13080 | lroland | 2005-01-16 18:23:43 -0600 (Sun, 16 Jan 2005) | 1 line
Changed paths:
   M /trunk/tools/unix2dos.pl

Convert files with mixed (unix and DOS) EOL-style correctly.
------------------------------------------------------------------------
r13079 | guy | 2005-01-16 18:18:39 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.h

Add a REPORT_DISSECTOR_BUG() macro to let caller-specified messages be
used in DissectorError exceptions.

------------------------------------------------------------------------
r13078 | guy | 2005-01-16 17:30:55 -0600 (Sun, 16 Jan 2005) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/exceptions.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Rename the FieldError exception to DissectorError.

Add a DISSECTOR_ASSERT() macro, which is the usual type of assertion
macro, but throws a DissectorError exception with a message giving the
flien and line number and the failed test as a string.  Use that macro
in "alloc_field_info()".

Report that exception in the Info column and the protocol tree, as well
as logging the exception failure with g_warning().

------------------------------------------------------------------------
r13077 | lroland | 2005-01-16 17:26:02 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   M /trunk/asn1/MAP_Dialogue/Makefile.nmake
   M /trunk/asn1/cmip/Makefile.nmake
   M /trunk/asn1/cms/Makefile.nmake
   M /trunk/asn1/ess/Makefile.nmake
   M /trunk/asn1/gsmmap/Makefile.nmake
   M /trunk/asn1/h225/Makefile.nmake
   M /trunk/asn1/h235/Makefile.nmake
   M /trunk/asn1/h245/Makefile.nmake
   M /trunk/asn1/h248/Makefile.nmake
   M /trunk/asn1/h450/Makefile.nmake
   M /trunk/asn1/logotype-cert-extn/Makefile.nmake
   M /trunk/asn1/ns-cert-exts/Makefile.nmake
   M /trunk/asn1/ocsp/Makefile.nmake
   M /trunk/asn1/pkcs1/Makefile.nmake
   M /trunk/asn1/pkinit/Makefile.nmake
   M /trunk/asn1/pkix1explicit/Makefile.nmake
   M /trunk/asn1/pkix1implicit/Makefile.nmake
   M /trunk/asn1/pkixcmp/Makefile.nmake
   M /trunk/asn1/pkixcrmf/Makefile.nmake
   M /trunk/asn1/pkixproxy/Makefile.nmake
   M /trunk/asn1/pkixqualified/Makefile.nmake
   M /trunk/asn1/pkixtsp/Makefile.nmake
   M /trunk/asn1/smrse/Makefile.nmake
   M /trunk/asn1/x509af/Makefile.nmake
   M /trunk/asn1/x509ce/Makefile.nmake
   M /trunk/asn1/x509if/Makefile.nmake
   M /trunk/asn1/x509sat/Makefile.nmake

When using Cygwin's python asn2eth.py
generates dissectors with mixed EOL! SVN doesn't allow you to commit such files.
Add a target to all nmake makefiles in asn1 subdirectory which will fix these files.
------------------------------------------------------------------------
r13076 | lroland | 2005-01-16 15:21:41 -0600 (Sun, 16 Jan 2005) | 4 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h

Add a few more things to the h225 dissector that got lost.
Lost things left:
-h.450 stuff
-support for the h.323 conversations tap (It is currently broken.)
------------------------------------------------------------------------
r13075 | guy | 2005-01-16 14:26:19 -0600 (Sun, 16 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Make the object length variable in some routines an "int"; we fetch a
16-bit unsigned value into it, but we might round it up to a multiple of
4 bytes, which could overflow a guint16.  Make arguments corresponding
to them "int" as well.

Use the reported length in "cops_analyze_packetcable_mm_obj()".

------------------------------------------------------------------------
r13074 | ulfl | 2005-01-16 10:06:15 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-frame.h
   M /trunk/epan/dissectors/packet-ieee8023.c
   M /trunk/epan/dissectors/packet-isl.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/exceptions.h
   M /trunk/epan/proto.c

throw the new FieldError exception, if a dissector tries to add a field with invalid parameters

add a message parameter to the show_exception function
------------------------------------------------------------------------
r13073 | jmayer | 2005-01-16 09:45:21 -0600 (Sun, 16 Jan 2005) | 1 line
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_util.h
   M /trunk/plugins/mate/packet-mate.c

Some trivial warning fixes in mate
------------------------------------------------------------------------
r13072 | guy | 2005-01-16 04:38:21 -0600 (Sun, 16 Jan 2005) | 2 lines
Changed paths:
   A /trunk/asn1/MAP_Dialogue/Makefile.nmake
   A /trunk/asn1/cmip/Makefile.nmake
   A /trunk/asn1/cms/Makefile.nmake
   A /trunk/asn1/ess/Makefile.nmake
   A /trunk/asn1/gsmmap/Makefile.nmake
   A /trunk/asn1/h235/Makefile.nmake
   A /trunk/asn1/h245/Makefile.nmake
   A /trunk/asn1/h248/Makefile.nmake
   A /trunk/asn1/h450/Makefile.nmake
   A /trunk/asn1/logotype-cert-extn/Makefile.nmake
   A /trunk/asn1/ns-cert-exts/Makefile.nmake
   A /trunk/asn1/ocsp/Makefile.nmake
   A /trunk/asn1/pkcs1/Makefile.nmake
   A /trunk/asn1/pkinit/Makefile.nmake
   A /trunk/asn1/pkix1explicit/Makefile.nmake
   A /trunk/asn1/pkix1implicit/Makefile.nmake
   A /trunk/asn1/pkixcmp/Makefile.nmake
   A /trunk/asn1/pkixcrmf/Makefile.nmake
   A /trunk/asn1/pkixproxy/Makefile.nmake
   A /trunk/asn1/pkixqualified/Makefile.nmake
   A /trunk/asn1/pkixtsp/Makefile.nmake
   A /trunk/asn1/smrse/Makefile.nmake
   A /trunk/asn1/x509af/Makefile.nmake
   A /trunk/asn1/x509ce/Makefile.nmake
   A /trunk/asn1/x509if/Makefile.nmake
   A /trunk/asn1/x509sat/Makefile.nmake

Supply Makefile.nmake files.

------------------------------------------------------------------------
r13071 | guy | 2005-01-16 04:19:21 -0600 (Sun, 16 Jan 2005) | 5 lines
Changed paths:
   M /trunk/asn1/MAP_Dialogue/Makefile
   M /trunk/asn1/cmip/Makefile
   M /trunk/asn1/cms/Makefile
   M /trunk/asn1/ess/Makefile
   M /trunk/asn1/gsmmap/Makefile
   M /trunk/asn1/h225/Makefile
   M /trunk/asn1/h248/Makefile
   M /trunk/asn1/logotype-cert-extn/Makefile
   M /trunk/asn1/ocsp/Makefile
   M /trunk/asn1/pkcs1/Makefile
   M /trunk/asn1/pkinit/Makefile
   M /trunk/asn1/pkix1explicit/Makefile
   M /trunk/asn1/pkix1implicit/Makefile
   M /trunk/asn1/pkixcmp/Makefile
   M /trunk/asn1/pkixcrmf/Makefile
   M /trunk/asn1/pkixproxy/Makefile
   M /trunk/asn1/pkixqualified/Makefile
   M /trunk/asn1/pkixtsp/Makefile
   M /trunk/asn1/smrse/Makefile
   M /trunk/asn1/x509af/Makefile
   M /trunk/asn1/x509ce/Makefile
   M /trunk/asn1/x509if/Makefile
   M /trunk/asn1/x509sat/Makefile

Make the Makefile look like the h235 Makefiles, with the new rules.

Get rid of their "executable" property, and set svn:keywords to Id and
svn:eol-style to native if they're not already set.

------------------------------------------------------------------------
r13070 | guy | 2005-01-16 04:17:53 -0600 (Sun, 16 Jan 2005) | 2 lines
Changed paths:
   A /trunk/asn1/h235/Makefile
   A /trunk/asn1/h245/Makefile
   A /trunk/asn1/h450/Makefile
   A /trunk/asn1/ns-cert-exts/Makefile

Add Makefiles.

------------------------------------------------------------------------
r13069 | guy | 2005-01-16 03:17:16 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h225/Makefile.nmake

Make the dissector files depend on asn2eth.py, so they're regenerated if
it's modified.

------------------------------------------------------------------------
r13068 | guy | 2005-01-16 03:16:36 -0600 (Sun, 16 Jan 2005) | 5 lines
Changed paths:
   M /trunk/asn1/h225/Makefile

Make the rules match those of Makefile.nmake - make "all" and
"generate_dissector" generate the dissector files but not copy them to
epan/dissectors, add a "copy_files" rule to copy them, and add a "clean"
rule to clean up.

------------------------------------------------------------------------
r13067 | guy | 2005-01-16 03:09:57 -0600 (Sun, 16 Jan 2005) | 2 lines
Changed paths:
   A /trunk/asn1/h225/Makefile

Add a Makefile.

------------------------------------------------------------------------
r13066 | guy | 2005-01-16 03:06:25 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   A /trunk/asn1/h225/Makefile.nmake (from /trunk/asn1/h225/makefile.nmake2:13065)
   D /trunk/asn1/h225/makefile.nmake2

Phase 2 of renaming "makefile.nmake" to "Makefile.nmake", to match other
Makefile.nmake files.

------------------------------------------------------------------------
r13065 | guy | 2005-01-16 03:05:45 -0600 (Sun, 16 Jan 2005) | 3 lines
Changed paths:
   D /trunk/asn1/h225/makefile.nmake
   A /trunk/asn1/h225/makefile.nmake2 (from /trunk/asn1/h225/makefile.nmake:13053)

Phase 1 of renaming "makefile.nmake" to "Makefile.nmake" - this is a bit
of a pain on case-insensitive file systems.

------------------------------------------------------------------------
r13064 | guy | 2005-01-16 02:45:11 -0600 (Sun, 16 Jan 2005) | 5 lines
Changed paths:
   M /trunk/wiretap/pppdump.c

When we get an EOF, only return WTAP_ERR_SHORT_READ as the error if we
were in the middle of processing a record.  If we got one at the
*beginning* of the record, that just means we've come to a clean
end-of-file.

------------------------------------------------------------------------
r13063 | guy | 2005-01-15 22:25:27 -0600 (Sat, 15 Jan 2005) | 14 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-stun.c

From Jon Ringle:

	don't dissect attributes if there aren't any;

	put each attribute into a subtree;

	register the dissector by name.

Use "match_strval()" to check whether the message type is a known STUN
message type, and to generate the message type for the Info column.

Don't use "tvb_bytes_exist()" to check when we run out of data - use the
length fields from the packet.  Check the sanity of those lengths, too.

------------------------------------------------------------------------
r13062 | guy | 2005-01-15 21:09:05 -0600 (Sat, 15 Jan 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/tethereal.c

Report a friendlier name, if possible, when capturing in Tethereal.

------------------------------------------------------------------------
r13061 | guy | 2005-01-15 20:56:28 -0600 (Sat, 15 Jan 2005) | 4 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/capture.c
   D /trunk/capture_combo_utils.c
   D /trunk/capture_combo_utils.h
   A /trunk/capture_ui_utils.c (from /trunk/capture_combo_utils.c:13060)
   A /trunk/capture_ui_utils.h (from /trunk/capture_combo_utils.h:13060)
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/capture_prefs.c

Rename capture_combo_utils.{c,h} to capture_ui_utils.{c,h}, as the code
in there is for UI functions including, but not limited to, the combo
box in capture dialogs.

------------------------------------------------------------------------
r13060 | guy | 2005-01-15 20:48:41 -0600 (Sat, 15 Jan 2005) | 8 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_combo_utils.c
   M /trunk/capture_combo_utils.h
   M /trunk/gtk/capture_info_dlg.c

Use a more descriptive name, if available, for the network interface in
window titles even on UN*X, and if the user's specified a description
for an interface, use that rather than the description supplied by
libpcap.

Put the interface name into the main window title when doing a live
capture.

------------------------------------------------------------------------
r13059 | guy | 2005-01-15 19:22:53 -0600 (Sat, 15 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

The keycode_first and keycode_count arguments to "listOfKeysyms()" can
come directly from packet data, so don't abort if they define a sequence
of keycodes that goes past 255 - just report errors for the keycodes
past 255.

Clean up indentation.

------------------------------------------------------------------------
r13058 | guy | 2005-01-15 18:48:25 -0600 (Sat, 15 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Revert to the previous formatting of the item.

------------------------------------------------------------------------
r13057 | guy | 2005-01-15 18:29:54 -0600 (Sat, 15 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Display the keycode list for a modifier a bit differently (don't list
the modifier name for every keycode, just give the modifier name once
and then show all the keycodes), and use "proto_item_append_text()"
rather than building a string.

Clean up white space.

------------------------------------------------------------------------
r13056 | guy | 2005-01-15 17:45:37 -0600 (Sat, 15 Jan 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

Correction for TP-Validity-Period extended format, from Victor Stratan:

	Fix 1:
	Offset not incremented for relative type

	Fix 2:
	Semioctets not reversed for HHMMSS relative type

------------------------------------------------------------------------
r13055 | guy | 2005-01-15 17:36:24 -0600 (Sat, 15 Jan 2005) | 17 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-mpls.c

From Carlos Pignataro: Layer Two Tunneling Protocol version 3 [L2TPv3]
updates and enhancements:

  - Added Cookie and L2-Specific sublayer support via preferences dialog.
  - Added carried payload dissecting support from draft-ietf-l2tpext-pwe3-*
    and draft-townsley-l2tpv3-mpls-02.txt
  - Completed missing message types (call types) and result codes for stopccn
    and cdn.
  - Fixed conditionals for avp_vendor_id (Vendor-Specific AVPs)
  - Changed Pseudowire Capabilities List AVPs to use subtree instead of tab
  - Added numeric value of result and error codes
  - Added Session ID for v3 data packets and missing flags and reserved
  - Added version to the L2TPv3 protocol tree
  - Changed `Tunnel Id' to `Control Connection Id' for v3
  - Fixed offset for ctrl_tree on L2TPv3 over UDP
  - Added `L2TPv3' in the COL_PROTOCOL and fixed handling of L2TP version

------------------------------------------------------------------------
r13054 | guy | 2005-01-15 17:34:29 -0600 (Sat, 15 Jan 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate_util.c

Set fp to NULL before "load_loal_error()" is called, so we don't pass an
uninitalized variable to it.

------------------------------------------------------------------------
r13053 | ulfl | 2005-01-15 13:37:35 -0600 (Sat, 15 Jan 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_introduction.xml
   M /trunk/docbook/eug_src/EUG_preface.xml

add a link to the wiki at appropriate places
------------------------------------------------------------------------
r13052 | ulfl | 2005-01-15 13:07:05 -0600 (Sat, 15 Jan 2005) | 3 lines
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_customize.xml
   M /trunk/docbook/eug_src/EUG_chapter_use.xml
   M /trunk/docbook/eug_src/EUG_chapter_work.xml
   M /trunk/docbook/user-guide.xml

I've removed the preference pages screenshots, as there was no description of the settings. I've added a link to the wiki pages and updated them accordingly (hopefully someone else might put the explanation text in there).

This way, we will have all preference descriptions at one place.
------------------------------------------------------------------------
r13051 | jmayer | 2005-01-15 12:39:44 -0600 (Sat, 15 Jan 2005) | 1 line
Changed paths:
   M /trunk/configure.in
   M /trunk/plugins/Makefile.am

Add mate to the build process (plus a few whitespace changes)
------------------------------------------------------------------------
r13050 | jmayer | 2005-01-15 12:34:06 -0600 (Sat, 15 Jan 2005) | 1 line
Changed paths:
   M /trunk/FAQ
   M /trunk/help/faq.txt
   M /trunk/manuf

Update FAQ and manuf files
------------------------------------------------------------------------
r13049 | gerald | 2005-01-15 12:18:09 -0600 (Sat, 15 Jan 2005) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in

Bump the version to 0.10.9.

------------------------------------------------------------------------
r13048 | ulfl | 2005-01-15 10:01:54 -0600 (Sat, 15 Jan 2005) | 3 lines
Changed paths:
   M /trunk/gtk/capture_info_dlg.c

Recently the capture interface name was added to the title of the capture info dialog. 

On WIN32, this interface name is in a somehwat unreadable format "\Device\NPF_{242423...", display the interface description on win32 systems instead "Realtek RTL ..."
------------------------------------------------------------------------
r13047 | ulfl | 2005-01-15 09:52:50 -0600 (Sat, 15 Jan 2005) | 1 line
Changed paths:
   M /trunk/pcap-util-int.h

fix a typo
------------------------------------------------------------------------
r13046 | guy | 2005-01-15 04:39:49 -0600 (Sat, 15 Jan 2005) | 2 lines
Changed paths:
   M /trunk/ethereal_gen.py
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c

Use -1 as a length value for "to the end of the tvbuff".

------------------------------------------------------------------------
r13045 | guy | 2005-01-15 04:10:16 -0600 (Sat, 15 Jan 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Add an entry for Yann.

------------------------------------------------------------------------
r13044 | guy | 2005-01-15 04:09:00 -0600 (Sat, 15 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-olsr.c

From Yann: handle OLSR messages with an unknown message type, using the
message length.

------------------------------------------------------------------------
r13043 | ulfl | 2005-01-14 17:33:03 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_chapter_advanced.xml

(Hopefully clarified) name resolution a bit.
------------------------------------------------------------------------
r13042 | tuexen | 2005-01-14 16:26:18 -0600 (Fri, 14 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mtp2.c

Add support for extended sequence numbers as specified in Annex A of Q.703.

------------------------------------------------------------------------
r13041 | guy | 2005-01-14 14:27:34 -0600 (Fri, 14 Jan 2005) | 3 lines
Changed paths:
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/isup_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c

From Laurent Rabret: handle the cases where there's no capture file, or
there is but it has no packets.

------------------------------------------------------------------------
r13040 | guy | 2005-01-14 13:28:02 -0600 (Fri, 14 Jan 2005) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

If an item in a source description chunk begins with 4 bytes of zero,
that doesn't mean it's padding at the end of a previous item - it might,
for example, be the *first* item in the chunk.  Don't treat it as
padding.

Do, however, treat an item that begins with a zero byte as an item, but
break out of the loop processing items as soon as the item type is put
into the protocol tree, as there's no length field or data in an
RTCP_SDES_END item.  Fix the comment for that loop to indicate that the
loop checks both for end-of-frame and for an RTCP_SDES_END item.

------------------------------------------------------------------------
r13039 | guy | 2005-01-14 12:05:08 -0600 (Fri, 14 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Pass 0, not FALSE, as the FCS length argument (FALSE is defined as 0,
but the field is integral, not Boolean, so it's clearer if it's passed
as 0).

------------------------------------------------------------------------
r13038 | lroland | 2005-01-14 12:04:54 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/makefile.nmake

With xcopy use backsplash instead of slash as directory seperator 
------------------------------------------------------------------------
r13037 | lroland | 2005-01-14 11:56:40 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/makefile.nmake

Replace another "cp" with two "xcopy"s
------------------------------------------------------------------------
r13036 | lroland | 2005-01-14 11:52:03 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h225/makefile.nmake

Add nmake makefile for /asn1/h225
------------------------------------------------------------------------
r13035 | lroland | 2005-01-14 11:49:30 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h450/h450.cnf
   M /trunk/asn1/h450/packet-h450-template.h

Fix svn properties
------------------------------------------------------------------------
r13034 | gerald | 2005-01-14 11:09:11 -0600 (Fri, 14 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp-nmas.c

From Greg Morris:  Improve malformed packet handling.


------------------------------------------------------------------------
r13033 | gerald | 2005-01-14 10:57:07 -0600 (Fri, 14 Jan 2005) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.nmake

Remove another GNU cp dependency.

------------------------------------------------------------------------
r13032 | guy | 2005-01-14 06:20:03 -0600 (Fri, 14 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gnutella.c

Fix indentation.

Catch size values >= 0x80000000 and throw an exception rather than
crashing with an assertion.

------------------------------------------------------------------------
r13031 | kukosa | 2005-01-14 05:42:39 -0600 (Fri, 14 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.h

Included filename packet-H225-exp.h changed to packet-h225-exp.h
------------------------------------------------------------------------
r13030 | guy | 2005-01-14 05:40:05 -0600 (Fri, 14 Jan 2005) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-ppp.c

From Rene Pilz:

	- Fix partly wrong cause values in the gmm (found by Miklos Szurdi)
	- Fix high/low nibble swap of the force to standby field (found by
	  Miklos Szurdi)
	- Dissect all elements

------------------------------------------------------------------------
r13029 | guy | 2005-01-14 05:17:35 -0600 (Fri, 14 Jan 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-rmt-alc.c
   A /trunk/epan/dissectors/packet-rmt-alc.h
   A /trunk/epan/dissectors/packet-rmt-common.c
   A /trunk/epan/dissectors/packet-rmt-common.h
   A /trunk/epan/dissectors/packet-rmt-fec.c
   A /trunk/epan/dissectors/packet-rmt-fec.h
   A /trunk/epan/dissectors/packet-rmt-lct.c
   A /trunk/epan/dissectors/packet-rmt-lct.h
   A /trunk/epan/dissectors/packet-rmt-norm.c
   A /trunk/epan/dissectors/packet-rmt-norm.h

From Stefano Pettini: RMT support for ALC and NORM.

------------------------------------------------------------------------
r13028 | guy | 2005-01-14 03:47:22 -0600 (Fri, 14 Jan 2005) | 6 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Note that the low-order bit of hdr->hdr_2_x.xxx[8] appears to be a "bad
FCS" bit for 802.11, just as it appears to be for Ethernet, and give
more details on the 4 bytes of junk at the end of the packet (i.e., that
we haven't yet seen an 802.11 capture where it's an FCS rather than just
junk).

------------------------------------------------------------------------
r13027 | ulfl | 2005-01-13 21:22:43 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   M /trunk/docbook/eug_src/EUG_app_files.xml
   M /trunk/docbook/eug_src/EUG_chapter_advanced.xml

add hosts file and some more name resolution info
------------------------------------------------------------------------
r13026 | etxrab | 2005-01-13 17:05:59 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h450/h450.cnf
   A /trunk/asn1/h450/h4501.asn
   A /trunk/asn1/h450/packet-h450-template.c
   A /trunk/asn1/h450/packet-h450-template.h

Add a first draft asn2eth generated H.450.x dissector
------------------------------------------------------------------------
r13025 | etxrab | 2005-01-13 17:05:11 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h450

Add a ( first draft ) asn2eth generated H450.x dissector
------------------------------------------------------------------------
r13024 | etxrab | 2005-01-13 15:12:06 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

Some minor bugfixes to H225 functions exported and an OID added and one OID for H245
------------------------------------------------------------------------
r13023 | etxrab | 2005-01-13 15:10:21 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c

Add one OID
------------------------------------------------------------------------
r13022 | etxrab | 2005-01-13 15:09:45 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225-exp.cnf
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h225/packet-h225-template.c

Minor bug fixes and export functions needed by h450
------------------------------------------------------------------------
r13021 | ulfl | 2005-01-13 14:19:49 -0600 (Thu, 13 Jan 2005) | 2 lines
Changed paths:
   M /trunk/capture_loop.c

fix a bug (reported by Greg Morris) caused by code cleanup (blame it on me): 
as the total packet count wasn't updated, the capture_info dialog wasn't updated accordingly
------------------------------------------------------------------------
r13020 | guy | 2005-01-13 11:31:33 -0600 (Thu, 13 Jan 2005) | 2 lines
Changed paths:
   M /trunk/gtk/packet_list.c

Add a missing case.

------------------------------------------------------------------------
r13019 | guy | 2005-01-13 11:26:10 -0600 (Thu, 13 Jan 2005) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dlsw.c

Use tcp_dissect_pdus() for DLSw-over-TCP.

Have the DLSw dissector reject packets with an unknown version field.

Leave out some more fields when dissecting Capability Exchange packets,
as they're not used in those packets.

Show numbers in hex when appropriate.

Show the individual subfields of the flow control and SSP flags fields.

Show the frame direction field with val_to_str(), and show the raw
value.

Clean up indentation.

------------------------------------------------------------------------
r13018 | guy | 2005-01-13 03:21:04 -0600 (Thu, 13 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nsip.c

Updates from Susanne Edlund.

Remove bogus boilerplate from introductory comment.

------------------------------------------------------------------------
r13017 | guy | 2005-01-13 03:09:56 -0600 (Thu, 13 Jan 2005) | 5 lines
Changed paths:
   M /trunk/doc/ethereal.pod
   M /trunk/doc/tethereal.pod
   M /trunk/epan/addr_resolv.c

Add support for a personal hosts file.

Clean up the description of the global and personal ethers and ipxnets
files.

------------------------------------------------------------------------
r13016 | guy | 2005-01-13 01:51:08 -0600 (Thu, 13 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

OPT RRs don't have a class field.

------------------------------------------------------------------------
r13015 | guy | 2005-01-13 01:49:31 -0600 (Thu, 13 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Use symbolic names for ARP types.

Clean up indentation.

------------------------------------------------------------------------
r13014 | guy | 2005-01-13 01:47:26 -0600 (Thu, 13 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

HTTP requests have no content if there's no Content-Length header and no
Transfer-Encoding header.

------------------------------------------------------------------------
r13013 | guy | 2005-01-13 01:43:17 -0600 (Thu, 13 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

Display PER booleans the way other bitfields are displayed.

------------------------------------------------------------------------
r13012 | etxrab | 2005-01-13 01:03:14 -0600 (Thu, 13 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dlsw.c

Don't crash on a negative length
------------------------------------------------------------------------
r13011 | guy | 2005-01-12 19:16:53 -0600 (Wed, 12 Jan 2005) | 5 lines
Changed paths:
   M /trunk/plugins/Makefile.am

Welcome to the wonderful world of "make", wherein a command in a set of
make rules must be indented with one or more tabs - no spaces, just
tabs.  I seem to remember a Stu Feldman quote somewhere in which he
apologized for that requirement....

------------------------------------------------------------------------
r13010 | ulfl | 2005-01-12 15:44:53 -0600 (Wed, 12 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/plugins.c
   M /trunk/plugins/Xass-list
   M /trunk/plugins/Xplugin_api.c
   M /trunk/plugins/Xplugin_api.h
   M /trunk/plugins/Xplugin_api_decls.h
   M /trunk/plugins/Xplugin_table.h
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c

add some of the DCE/RPC functions to the plugin API
------------------------------------------------------------------------
r13009 | ulfl | 2005-01-12 15:41:30 -0600 (Wed, 12 Jan 2005) | 1 line
Changed paths:
   M /trunk/ringbuffer.c

don't use two variables for keeping the current ringbuffer file number
------------------------------------------------------------------------
r13008 | ulfl | 2005-01-12 15:38:09 -0600 (Wed, 12 Jan 2005) | 1 line
Changed paths:
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake

cleanup old files before generating xyzzy target (it drove me almost crazy to find out the right way to build this target correctly, so be a bit more "automatically" the next time)
------------------------------------------------------------------------
r13007 | ulfl | 2005-01-12 15:31:22 -0600 (Wed, 12 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

performance improvement: 
In the past: to prevent duplicate protocol names (and alike), each time a new protocol was registered, the list of protocols were iterated and the name compared with each existing name using strcasecmp, which is slow as we have >500 protocols right now.

Now: the protocol name to check against duplicates is first converted into a hashvalue and then only this value is checked and stored in a hashtable. This way the string to check for, has to be converted/compared only a single time!
------------------------------------------------------------------------
r13006 | ulfl | 2005-01-12 15:20:50 -0600 (Wed, 12 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-ndr.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-dcom.c

add new function dissect_dcerpc_uuid_t and let dissect_ndr_uuid_t call it
------------------------------------------------------------------------
r13005 | ulfl | 2005-01-12 15:16:53 -0600 (Wed, 12 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/README.interface

clarify text and describe libethereal.def
Could someone have a look at this, as I'm not 100% sure if it's correct.
------------------------------------------------------------------------
r13004 | etxrab | 2005-01-12 00:00:31 -0600 (Wed, 12 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

From  Tomer Shani :register_dissector call

------------------------------------------------------------------------
r13003 | guy | 2005-01-10 18:13:42 -0600 (Mon, 10 Jan 2005) | 5 lines
Changed paths:
   M /trunk/capinfos.c

Improve the error reporting.

Remove a duplicate #include, and shuffle the includes a bit to put OS
includes before other includes.

------------------------------------------------------------------------
r13002 | kukosa | 2005-01-10 03:06:07 -0600 (Mon, 10 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Add a "hex_str_to_bytes()" routine
------------------------------------------------------------------------
r13001 | lroland | 2005-01-09 20:37:19 -0600 (Sun, 09 Jan 2005) | 8 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/matelib/sip.mate
   M /trunk/plugins/mate/packet-mate.c

One more patch for mate:

- renamed analyze_frame() into mate_analyze_frame().
- prepare mate to be statically linked
- use report_open_failure() , report_read_failure() and
report_failure() in case there's an error while loading the config
- some cleanup in mate_util.c
- some fixes and cleanup in examples and matelib
------------------------------------------------------------------------
r13000 | lroland | 2005-01-09 20:19:11 -0600 (Sun, 09 Jan 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf

From Luis Ontanon:

Add another piece of code that got lost to the cnf file of the new h225 dissector.
------------------------------------------------------------------------
r12999 | guy | 2005-01-09 15:42:39 -0600 (Sun, 09 Jan 2005) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/sminmpec.c
   M /trunk/epan/sminmpec.h

From Deepak Jain: L2TP v3 (draft 15) support.

Add VENDOR_IETF to <epan/sminmpec.h>, and add an entry for it to
sminmpec_values[], so that the L2TP dissector can use them rather than
defining its own copy of the private enterprise number values and table
- and make it do so.

------------------------------------------------------------------------
r12998 | guy | 2005-01-08 18:01:55 -0600 (Sat, 08 Jan 2005) | 3 lines
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

Properly declare "dissect_h245()" and "dissect_h245_h245()" as returning
nothing.

------------------------------------------------------------------------
r12997 | guy | 2005-01-08 17:43:29 -0600 (Sat, 08 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

From Luis Ontanon: if new ett values are registered after the
tree_is_expanded array is initially allocated, grow the array

------------------------------------------------------------------------
r12996 | guy | 2005-01-08 14:54:23 -0600 (Sat, 08 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-amr.c

Get rid of some of the boilerplate comments from the sample dissector,
and de-boilerplate another part of the comment.

Fix a test of "octet_aligned" that was setting it to false rather than
testing whether it was false.

------------------------------------------------------------------------
r12995 | lroland | 2005-01-08 13:21:30 -0600 (Sat, 08 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/h225-exp.cnf
   M /trunk/asn1/h225/h225.asn
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/h225/packet-h225-template.h
   M /trunk/asn1/h245/h245-exp.cnf
   M /trunk/asn1/h245/h245.asn
   M /trunk/asn1/h245/h245.cnf
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/asn1/h245/packet-h245-template.h

Fix svn file properties
------------------------------------------------------------------------
r12994 | etxrab | 2005-01-08 10:38:13 -0600 (Sat, 08 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c

Reinsert dissection of h450 messages
------------------------------------------------------------------------
r12993 | etxrab | 2005-01-08 09:49:37 -0600 (Sat, 08 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-amr.c

Add a dissector for RTP payload AMR RFC 3267
------------------------------------------------------------------------
r12992 | etxrab | 2005-01-08 08:42:12 -0600 (Sat, 08 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c

Generate "conversations" code correctly, adaptions to changes in asn2eth generator.
Regenerate with latest asn2eth compiler.
------------------------------------------------------------------------
r12991 | etxrab | 2005-01-08 08:39:53 -0600 (Sat, 08 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/asn1/h245/packet-h245-template.c

Generate "conversations" code correctly, adaptions to changes in asn2eth generator.
------------------------------------------------------------------------
r12990 | etxrab | 2005-01-08 08:36:10 -0600 (Sat, 08 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c

Fixa a typo
------------------------------------------------------------------------
r12989 | guy | 2005-01-07 16:20:28 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/Xplugin_table.h

Fix the signature of proto_register_subtree_array().

------------------------------------------------------------------------
r12988 | guy | 2005-01-07 16:19:44 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/plugin_api_list.c

Fix the signature of proto_register_subtree_array().

------------------------------------------------------------------------
r12987 | guy | 2005-01-07 13:34:36 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Use BASE_NONE, not FT_NONE, for the "base" value of an FT_STRING field.

------------------------------------------------------------------------
r12986 | guy | 2005-01-07 13:29:54 -0600 (Fri, 07 Jan 2005) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-jxta.c

Get rid of duplicate "element signature" field.

Clean up indentation.

The signatures are 4-byte strings - treat them as such.

Don't hide fields - dissectors should show what all bytes, other than
perhaps padding bytes, are.

Don't use the tvb_format_text-ified versions of strings as the value -
Ethereal already deals with non-printable characters when displaying
them.

When creating a subset tvbuff that runs to the end of the parent, use -1
as the length, don't calculate the length ourselves.

Use "tvb_reported_length()", not "tvb_length()", in loops that parse the
entire packet.

------------------------------------------------------------------------
r12985 | lroland | 2005-01-07 12:07:18 -0600 (Fri, 07 Jan 2005) | 21 lines
Changed paths:
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/matelib/h225_ras.mate
   M /trunk/plugins/mate/matelib/sip.mate
   M /trunk/plugins/mate/packet-mate.c

From Luis Ontanon:

A new patch for mate

- changed the default config file name to "" 
- avoid trying to confgure mate when the config filename is ""
- add filename and line to config errors, that way one can actually
find errors in config files
- teady up the config error strings ( made them uniform )
- fixed a crash when missing index AVPs (Name,For,On etc) in config AVPLS
- make sure we do not delete the config AVPs and AVPLs to avoid
references to unsubscribed strings been left arround
- fixed the len on LoALs 
- changed the way loal_from_file reports an error.
- matelib/sip.mate was missing the Name in a PduDef  (from Julien Leproust)
- matelib/h225_ras had a wrong field name (from Julien Leproust)

At this point mate is silent when it's not expressely configured by the user.

From me:
reduce compiler noise on MSVC
------------------------------------------------------------------------
r12984 | gerald | 2005-01-07 09:08:24 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802a.c

Define data_handle at startup.

------------------------------------------------------------------------
r12983 | guy | 2005-01-07 07:33:21 -0600 (Fri, 07 Jan 2005) | 4 lines
Changed paths:
   M /trunk/capture_loop.c

From Thomas Boehne: fix a call to use errmsg_len rather than sizeof
errmsg - errmsg is a pointer, so sizeof errmsg is the size of the
pointer, not the size of what it points to.

------------------------------------------------------------------------
r12982 | guy | 2005-01-07 06:58:43 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-jxta.c

From Mike Duigou: JXTA protocol support.

------------------------------------------------------------------------
r12981 | guy | 2005-01-07 06:56:21 -0600 (Fri, 07 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

Constify a pointer, so that the array of pointers to ett_ values can be
const, although the pointers can't point to consts (as the values get
filled in as they're registered).

------------------------------------------------------------------------
r12980 | guy | 2005-01-07 06:00:01 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/tvbuff.h

Doxygen cleanups, from Mike Duigou.

------------------------------------------------------------------------
r12979 | guy | 2005-01-07 05:59:05 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Grammar and typo fix from Mike Duigou.

------------------------------------------------------------------------
r12978 | guy | 2005-01-07 05:56:00 -0600 (Fri, 07 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/addr_resolv.h

Include <epan/address.h>, as per a suggestion by Thomas Boehne - not all
dissectors using the address resolution routines need to know about the
"address" structure, so not all of them would include <epan/address.h>
themselves.

------------------------------------------------------------------------
r12977 | guy | 2005-01-07 05:43:05 -0600 (Fri, 07 Jan 2005) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bgp.h

From Carlos Pignataro:

	o BGPv4 SAFI-Specific Attribute support
	  - draft-kapoor-nalawade-idr-bgp-ssa-00.txt
	o Tunnel SAFI support for BGP
	  - draft-nalawade-kapoor-tunnel-safi-02.txt
	o Small length fix

------------------------------------------------------------------------
r12976 | guy | 2005-01-07 05:22:18 -0600 (Fri, 07 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Put back the declaration of hostspath on Windows.

------------------------------------------------------------------------
r12975 | guy | 2005-01-07 04:49:05 -0600 (Fri, 07 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/req_resp_hdrs.c

From Chris Maynard: free strings fetched with "tvb_get_string()" when
we're done with them.

------------------------------------------------------------------------
r12974 | guy | 2005-01-07 04:44:44 -0600 (Fri, 07 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-srvloc.c

From Chris Maynard: free strings fetched with "tvb_fake_unicode()" when
we're done with them.

------------------------------------------------------------------------
r12973 | guy | 2005-01-07 04:39:51 -0600 (Fri, 07 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

From Chris Maynard: free mallocated strings when we're done with them. 
(There's still the risk of a leak if we throw an exception before we
free the string.)

Clean up indentation.

------------------------------------------------------------------------
r12972 | guy | 2005-01-07 04:20:17 -0600 (Fri, 07 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Move the open and close of the hosts file into "read_hosts_file()".

On Windows, if we don't get the SYSTEMROOT environment variable, try
various locations where the hosts file is known to exist.

------------------------------------------------------------------------
r12971 | guy | 2005-01-07 04:09:34 -0600 (Fri, 07 Jan 2005) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slsk.c

From Chris Maynard: free strings fetched with "tvb_get_string()".

Use "format_text()" or "tvb_format_text()" with the %s format, to handle
non-printable characters.

When uncompressing data into a new tvbuff, add it to the list of data
sources as we do elsewhere.

When putting items into the protocol tree from an uncompressed tvbuff,
use the offset into the tvbuff and the length of the item.

Fetch string lengths into a variable and use the variable rather than
repeatedly fetching the length from a tvbuff.

Use -1 rather than tvb_length_remaining() when putting a "to the end of
the tvbuff" item into the protocol tree.

Use "proto_tree_add_item()" to put items into the tree, rather than
"proto_tree_add_xxx" calls with a "tvb_get_yyy" call as the argument.

If we've fetched a value into a variable, don't re-fetch it in
"proto_tree_add_xxx" calls.

------------------------------------------------------------------------
r12970 | lroland | 2005-01-06 21:19:39 -0600 (Thu, 06 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Check return value of getenv(). 
It can return NULL, which would lead here to strcpy(hostspath, NULL);
*Very* bad.

replace g_malloc(), strcpy() and strcat() with one single g_strconcat(). 
------------------------------------------------------------------------
r12969 | lroland | 2005-01-06 17:21:10 -0600 (Thu, 06 Jan 2005) | 3 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/packet-mate.c

From Luis Ontanon:

Fix some MSVC warnings in MATE
------------------------------------------------------------------------
r12968 | lroland | 2005-01-06 06:39:54 -0600 (Thu, 06 Jan 2005) | 6 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/packet-mate.c

From Luis Ontanon:

Another patch for mate:
 - adds a "GopTree={TRUE|FALSE}" attribute to Gogs
 - changes "ShowPduTree={NoTree|PduTree|FrameTree}"
 - adds "implicit stop" to Gops with no Stop declared
------------------------------------------------------------------------
r12967 | guy | 2005-01-06 02:37:43 -0600 (Thu, 06 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-ieee802a.c
   A /trunk/epan/dissectors/packet-ieee802a.h
   M /trunk/etypes.h

Add a dissector to handle IEEE 802a's OUI Extended Ethertype; dissectors
can register an OUI, and PIDs for that OUI, in the same fashion that
they can do so for SNAP (after which the 802a OUI Extended Ethertype is
clearly modeled).

------------------------------------------------------------------------
r12966 | guy | 2005-01-06 02:21:25 -0600 (Thu, 06 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-llc.c

Handle the case where nobody registers any OUIs and oui_info_table is
thus null.

------------------------------------------------------------------------
r12965 | guy | 2005-01-05 05:00:11 -0600 (Wed, 05 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

From Chris Maynard: catch a case where a string allocated with
"tvb_get_string()" wasn't freed.  (It appears there can also be leaks if
an exception is thrown while dissecting.)

------------------------------------------------------------------------
r12964 | guy | 2005-01-05 04:55:00 -0600 (Wed, 05 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sebek.c

Use tvb_format_text() with %s format items, to handle non-printable
characters.

Clean up indentation.

------------------------------------------------------------------------
r12963 | guy | 2005-01-05 04:51:05 -0600 (Wed, 05 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

From Chris Maynard: don't extract strings with "tvb_get_string()" if
we're not going to use them, and free them when we're done with them.

Clean up white space.

------------------------------------------------------------------------
r12962 | guy | 2005-01-05 04:45:43 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

From Chris Maynard: free strings allocated by "tvb_get_string()" after
we're done with them.

------------------------------------------------------------------------
r12961 | guy | 2005-01-05 04:42:26 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

From Chris Maynard: free strings allocated by "tvb_fake_unicode()" after
we're done with them.

------------------------------------------------------------------------
r12960 | guy | 2005-01-05 04:38:50 -0600 (Wed, 05 Jan 2005) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

From Chris Maynard: free mallocated data.

Don't assign the result of a routine that mallocates data to a const
pointer - that forces us to cast the pointer when freeing the data.

------------------------------------------------------------------------
r12959 | guy | 2005-01-05 04:27:22 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

From Chris Maynard: free strings even if we don't put them into the
protocol tree.

------------------------------------------------------------------------
r12958 | guy | 2005-01-05 04:23:26 -0600 (Wed, 05 Jan 2005) | 2 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

From Chris Maynard: free a string obtained with "tvb_get_string()".

------------------------------------------------------------------------
r12957 | guy | 2005-01-05 04:19:36 -0600 (Wed, 05 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/tvbuff.c

From Chris Maynard: free up the z_stream we've allocated before failure
returns.  (The error returns shouldn't happen in practice, as the GLib
memory allocators never return a null pointer, they just abort the
program, but if we're going to be checking for failure and returning, we
should do the right thing anyway.)

------------------------------------------------------------------------
r12956 | guy | 2005-01-05 04:17:09 -0600 (Wed, 05 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

From Chris Maynard: free strings fetched with "tvb_fake_unicode()".

------------------------------------------------------------------------
r12955 | guy | 2005-01-05 04:13:24 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-jfif.c

Free the image type string as soon as we're done with it, so that we
don't leak it (even if we throw an exception processing the image).

------------------------------------------------------------------------
r12954 | guy | 2005-01-05 04:05:03 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-gif.c

From Chris Maynard: add a missing free of a string fetched with
tvb_get_string().

------------------------------------------------------------------------
r12953 | guy | 2005-01-05 04:01:04 -0600 (Wed, 05 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fix.c

From Chris Maynard: don't fetch a string if we're not going to use it.

Also, move up the freeing of the tag string to immediately after we're
done with it, so we don't leak it if we throw an exception getting the
value.

------------------------------------------------------------------------
r12952 | guy | 2005-01-05 03:53:03 -0600 (Wed, 05 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-daap.c

Use "tvb_format_text()" with %s format strings, so that we handle
non-printable strings.

------------------------------------------------------------------------
r12951 | guy | 2005-01-05 03:46:43 -0600 (Wed, 05 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Use "tvb_format_text()" to generate the text to use in
"proto_tree_add_text()" calls, so that we handle non-printable
characters if they happen to appear in the strings.

------------------------------------------------------------------------
r12950 | guy | 2005-01-05 03:41:20 -0600 (Wed, 05 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c

Use "tvb_format_text()" to extract and format the buddy name string in
the top-level item for the buddy name, rather than extracting the string
into a mallocated buffer (and not freeing it...).

Put all the code to put stuff into the protocol tree inside "if(tree)".

------------------------------------------------------------------------
r12949 | kukosa | 2005-01-05 01:09:06 -0600 (Wed, 05 Jan 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py

Fixed value string names in field array when NO_PROT_PREFIX option is used
------------------------------------------------------------------------
r12948 | lroland | 2005-01-04 20:25:34 -0600 (Tue, 04 Jan 2005) | 5 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/epan/dissectors/packet-h225.c

Fix broken parts of the new h225 dissector:
- add more data to the Info structure of the h225 taps.
- Fix the output to the Info Column

This patch is not complete, but statistics should basically work now.
------------------------------------------------------------------------
r12947 | guy | 2005-01-04 15:05:56 -0600 (Tue, 04 Jan 2005) | 7 lines
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c

"dissect_h225_H323UserInformation()" returns the number of bytes
dissected, so register it as a new-style dissector.

As we register it by name, we don't need to create a dissector handle
for it to register it in a dissector table - just use "find_dissector()"
to find the handle.

------------------------------------------------------------------------
r12946 | gerald | 2005-01-04 11:25:38 -0600 (Tue, 04 Jan 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Replace a "cp" with three "xcopy"s.

------------------------------------------------------------------------
r12945 | gerald | 2005-01-03 15:11:53 -0600 (Mon, 03 Jan 2005) | 3 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/doc/capinfos.pod

Let capinfos print statistics for more than one file.  Normalize
capitalization.

------------------------------------------------------------------------
r12944 | gerald | 2005-01-03 14:03:16 -0600 (Mon, 03 Jan 2005) | 3 lines
Changed paths:
   M /trunk/config.nmake

Move "c:\cygwin\bin" to the end of the PATH.  The latest Cygwin includes a
"link" command which collides with the MSVC linker.

------------------------------------------------------------------------
r12943 | gerald | 2005-01-03 13:58:04 -0600 (Mon, 03 Jan 2005) | 3 lines
Changed paths:
   M /trunk/gtk/about_dlg.c

Make the version and library information in the about box copy-and-paste-able
under GTK+ 2.x.

------------------------------------------------------------------------
r12942 | kukosa | 2005-01-03 08:41:02 -0600 (Mon, 03 Jan 2005) | 1 line
Changed paths:
   M /trunk/tools/asn2eth.py

Directives #.FN_* can be used for Ethereal types as well as for ASN.1 types
------------------------------------------------------------------------
r12941 | kukosa | 2005-01-03 06:54:31 -0600 (Mon, 03 Jan 2005) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- names for value_string tables are generated with protocol name prefix
- FROM constraint for PER supported
------------------------------------------------------------------------
r12940 | obiot | 2005-01-03 05:26:45 -0600 (Mon, 03 Jan 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Change e-mail address of Olivier Biot.


------------------------------------------------------------------------
r12939 | guy | 2005-01-03 04:27:20 -0600 (Mon, 03 Jan 2005) | 2 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Add some more comments about the FCS issue.

------------------------------------------------------------------------
r12938 | guy | 2005-01-03 04:10:23 -0600 (Mon, 03 Jan 2005) | 3 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Give a bit more information on the "are there FCSes in the frame?"
issue.

------------------------------------------------------------------------
r12937 | guy | 2005-01-02 23:27:35 -0600 (Sun, 02 Jan 2005) | 8 lines
Changed paths:
   M /trunk/wiretap/netxray.c

Rename the CAPTYPE_ definitions as appropriate - many of them are
specific to particular types of captures, and the same value might
correspond to more than one CAPTYPE_ definition.

Add an additional CAPTYPE_ for some non-gigabit Ethereal capture seen by
Bill Meier, and fix the range check the time stamp units value as per
his mail.

------------------------------------------------------------------------
r12936 | guy | 2005-01-02 21:42:23 -0600 (Sun, 02 Jan 2005) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/wiretap/AUTHORS
   M /trunk/wiretap/netxray.c

From James Fields and Kevin Johnson: fix the handling of time stamps in
a number of Windows Sniffer captures - apparently the time stamp units
are in a field in the file header.

Add a capture type value seen in at least one ATM capture.

Update some comments, and add some comments.

Get rid of some redundant setting of "timeunit".

------------------------------------------------------------------------
r12935 | guy | 2005-01-02 19:36:35 -0600 (Sun, 02 Jan 2005) | 4 lines
Changed paths:
   M /trunk/README.win32

Rewrap a paragraph, for the benefit of us old-timers who typically use
80-column wide terminal windows (which also lets more windows fit than
would fit with wider windows).

------------------------------------------------------------------------
r12934 | gerald | 2005-01-02 18:08:40 -0600 (Sun, 02 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

If the ICMP code is present, put it in the Info column.

------------------------------------------------------------------------
r12933 | lroland | 2005-01-02 16:56:25 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.h
   M /trunk/epan/dissectors/packet-h225.h

fix a typo in new packet-h225.h
------------------------------------------------------------------------
r12932 | etxrab | 2005-01-02 16:05:47 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

Change the dissectors to asn2eth generated ones.
------------------------------------------------------------------------
r12931 | etxrab | 2005-01-02 16:03:12 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h235/h235-exp.cnf

This file is needed if h225 or h245 is generated separately.
------------------------------------------------------------------------
r12930 | etxrab | 2005-01-02 16:01:32 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h225/h225-exp.cnf
   A /trunk/asn1/h225/h225.asn
   A /trunk/asn1/h225/h225.cnf
   A /trunk/asn1/h225/packet-h225-template.c
   A /trunk/asn1/h225/packet-h225-template.h

asn2eth generated h225 dissector
------------------------------------------------------------------------
r12929 | etxrab | 2005-01-02 16:00:32 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h225

asn2eth generated h225 dissector
------------------------------------------------------------------------
r12928 | etxrab | 2005-01-02 15:58:45 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h245/h245-exp.cnf
   A /trunk/asn1/h245/h245.asn
   A /trunk/asn1/h245/h245.cnf
   A /trunk/asn1/h245/packet-h245-template.c
   A /trunk/asn1/h245/packet-h245-template.h

asn2eth generated h245 dissector
------------------------------------------------------------------------
r12927 | etxrab | 2005-01-02 15:58:06 -0600 (Sun, 02 Jan 2005) | 1 line
Changed paths:
   A /trunk/asn1/h245

asn2eth generated h245 dissector
------------------------------------------------------------------------
r12926 | guy | 2005-01-02 04:01:05 -0600 (Sun, 02 Jan 2005) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

*Correctly* append to the filter string.

------------------------------------------------------------------------
r12925 | guy | 2005-01-02 03:40:26 -0600 (Sun, 02 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dns.h
   M /trunk/epan/dissectors/packet-nbns.c

Unlike the detailed description of resource record types, the
detailed description of classes is pretty much redundant - remove it.

------------------------------------------------------------------------
r12924 | guy | 2005-01-01 22:01:00 -0600 (Sat, 01 Jan 2005) | 6 lines
Changed paths:
   M /trunk/epan/plugins.c

Don't cast pointers passed as arguments - pass a pointer to the right
type of variable and assign the value; that squelches "dereferencing
type-punned pointer will break strict-aliasing rules" warnings from some
versions of GCC.


------------------------------------------------------------------------
r12923 | guy | 2005-01-01 21:58:08 -0600 (Sat, 01 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Cast away the constness of the argument to "g_tree_lookup()" - another
GLib function with an unfortunate signature.

------------------------------------------------------------------------
r12922 | guy | 2005-01-01 18:23:50 -0600 (Sat, 01 Jan 2005) | 3 lines
Changed paths:
   M /trunk/gtk/follow_dlg.c
   M /trunk/plugins/asn1/packet-asn1.c

Cast the values passed to the <ctype.h> macros so as to avoid
sign-extending 8-bit characters.

------------------------------------------------------------------------
r12921 | guy | 2005-01-01 17:54:32 -0600 (Sat, 01 Jan 2005) | 5 lines
Changed paths:
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/rtp_analysis.c

Add casts of OBJECT_SET_DATA() arguments in cases where that's
appropriate.

Use %u, not %d, to convert unsigned values to strings.

------------------------------------------------------------------------
r12920 | guy | 2005-01-01 17:40:56 -0600 (Sat, 01 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

"inet_pton()" isn't getting declared on Windows; include "inet_v6defs.h"
if NEED_INET_V6DEFS_H is defined, as is done in "packet-sdp.c", the
other module using "inet_pton()".

------------------------------------------------------------------------
r12919 | guy | 2005-01-01 17:29:05 -0600 (Sat, 01 Jan 2005) | 6 lines
Changed paths:
   M /trunk/gtk/compat_macros.h

Don't explicitly cast the last argument to OBJECT_SET_DATA() to
"gpointer" - callers should do that if appropriate (or perhaps change
the call to pass a different argument if that's more appropriate), and
even if casting it were the right thing to do, the argument needs to be
surrounded with parentheses so the correct value is cast.

------------------------------------------------------------------------
r12918 | guy | 2005-01-01 17:25:49 -0600 (Sat, 01 Jan 2005) | 11 lines
Changed paths:
   M /trunk/gtk/ui_util.c

Cast away the constness of the geom_name argument to
"window_new_with_geom()" - there's no way to tell the compiler that
we're not going to be modifying it, but we aren't.

The right way to check whether a pointer is null and get a Boolean is to
test it against null, not to cast it to a Boolean type - as Boolean
types in C89/C90, at least, are just integral types, that cast might
just throw away the upper 32 bits; that probably yields the results you
want, but the compiler might well justifiably warn about that on an LP64
platform.

------------------------------------------------------------------------
r12917 | guy | 2005-01-01 17:22:10 -0600 (Sat, 01 Jan 2005) | 3 lines
Changed paths:
   M /trunk/tap-iostat.c

Fix the signature of "iostat_packet()" - the pointer to data supplied by
the dissector is a const pointer.

------------------------------------------------------------------------
r12916 | guy | 2005-01-01 17:21:05 -0600 (Sat, 01 Jan 2005) | 6 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

When computing a hash value based on, among other things, a
conversation, use the "index" member of the conversation_t - that lets
you get a value that fits in a guint, but without provoking the warning
you might get from a compiler if you cast a pointer to the conversation
to a guint.

------------------------------------------------------------------------
r12915 | guy | 2005-01-01 17:19:11 -0600 (Sat, 01 Jan 2005) | 7 lines
Changed paths:
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/packet_history.c
   M /trunk/gtk/summary_dlg.c

The right way to check whether a pointer is null and get a Boolean is to
test it against null, not to cast it to a Boolean type - as Boolean
types in C89/C90, at least, are just integral types, that cast might
just throw away the upper 32 bits; that probably yields the results you
want, but the compiler might well justifiably warn about that on an LP64
platform.

------------------------------------------------------------------------
r12914 | guy | 2005-01-01 17:11:46 -0600 (Sat, 01 Jan 2005) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/packet.c

Get rid of some warnings about variables whose values might be lost in a
longjmp, by properly qualifying those variables as volatile.

------------------------------------------------------------------------
r12913 | guy | 2005-01-01 06:49:54 -0600 (Sat, 01 Jan 2005) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/gtk/conversations_eth.c
   M /trunk/gtk/conversations_fc.c
   M /trunk/gtk/conversations_fddi.c
   M /trunk/gtk/conversations_ip.c
   M /trunk/gtk/conversations_ipx.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/conversations_table.h
   M /trunk/gtk/conversations_tcpip.c
   M /trunk/gtk/conversations_tr.c
   M /trunk/gtk/conversations_udpip.c
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h
   M /trunk/gtk/hostlist_eth.c
   M /trunk/gtk/hostlist_fc.c
   M /trunk/gtk/hostlist_fddi.c
   M /trunk/gtk/hostlist_ip.c
   M /trunk/gtk/hostlist_ipx.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_table.h
   M /trunk/gtk/hostlist_tcpip.c
   M /trunk/gtk/hostlist_tr.c
   M /trunk/gtk/hostlist_udpip.c
   M /trunk/gtk/hostlist_wlan.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/tap-iostat.c
   M /trunk/tap-iousers.c

Make the signatures of functions passed to "register_tap_listener()"
match what "register_tap_listener()" expects (rather than squelching
warnings about the differences by casting function pointers to "void
*").

Make static some functions not used outside the module in which they're
defined. 

------------------------------------------------------------------------
r12912 | guy | 2005-01-01 06:32:28 -0600 (Sat, 01 Jan 2005) | 4 lines
Changed paths:
   M /trunk/gtk/packet_list.c

Throw in a cast to squelch an (unavoidable, and probably harmless -
GTK+'s function signatures aren't necessarily what they should be)
warning.

------------------------------------------------------------------------
r12911 | guy | 2005-01-01 06:29:26 -0600 (Sat, 01 Jan 2005) | 4 lines
Changed paths:
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h

"address_to_str()" and "address_to_str_buf()" don't modify the "address"
structure pointed to them by reference, so make the argument a "const"
pointer.

------------------------------------------------------------------------
r12910 | guy | 2004-12-31 20:57:02 -0600 (Fri, 31 Dec 2004) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/tap.h
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/http_stat.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/isup_stat.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/service_response_time_table.c
   M /trunk/gtk/service_response_time_table.h
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/wsp_stat.c
   M /trunk/tap-ansi_astat.c
   M /trunk/tap-bootpstat.c
   M /trunk/tap-dcerpcstat.c
   M /trunk/tap-gsm_astat.c
   M /trunk/tap-h225counter.c
   M /trunk/tap-h225rassrt.c
   M /trunk/tap-httpstat.c
   M /trunk/tap-mgcpstat.c
   M /trunk/tap-protocolinfo.c
   M /trunk/tap-protohierstat.c
   M /trunk/tap-rpcprogs.c
   M /trunk/tap-rpcstat.c
   M /trunk/tap-sipstat.c
   M /trunk/tap-smbsids.c
   M /trunk/tap-smbstat.c
   M /trunk/tap-wspstat.c

As we've made the tap_specific_data field of a tap_packet_t structure a
const pointer (so that we don't get complaints when we make the
tap-specific data argument to "tap_queue_packet()" a const pointer,
allowing dissectors to hand const data to a tap without a complaint), we
should make the tap per-packet function take a const pointer as an
argument as well.  Do so.

In some taps, use _U_, or actually use the argument, rather than
sticking in dummy "X = X" assignments to fake use of parameters.  (This
means that the tap functions in question no longer have the notion that
they act on a particular static structure wired in.)

------------------------------------------------------------------------
r12909 | guy | 2004-12-31 16:00:44 -0600 (Fri, 31 Dec 2004) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcdns.c

Note what Fibre Channel spec documents this protocol.

Don't assign the const pointers passed to hash routines to non-const
pointers.

In "zonenm_to_str()", don't assume there's a null terminator in the
packet - use "tvb_get_string()" so that the buffer into which it's
copied is explicitly null-terminated.

Put the Domain & Port into the protocol tree as a "0xXXXXXXXX" string,
rather than as a string with one blank in it.

------------------------------------------------------------------------
r12908 | guy | 2004-12-31 15:40:22 -0600 (Fri, 31 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcswils.c

Don't bother copying the switch name to a buffer - we can just use
"tvb_get_ptr()".

------------------------------------------------------------------------
r12907 | guy | 2004-12-31 15:36:08 -0600 (Fri, 31 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcswils.c

Fix a bug introduced in the previous checkin.

Make the names for list record types match the names used before the
previous checkin.

------------------------------------------------------------------------
r12906 | guy | 2004-12-31 15:20:46 -0600 (Fri, 31 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcip.c

FC-over-IP is now covered by RFCs; update the specification references.

Make the protcol/version information an array of 8 bytes, not 2 guints;
not all the world's a (little-endian) PC!

------------------------------------------------------------------------
r12905 | guy | 2004-12-31 14:58:23 -0600 (Fri, 31 Dec 2004) | 22 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fcswils.h

Note what Fibre Channel spec documents this protocol.

Don't assign the const pointers passed to hash routines to non-const
pointers.

Don't use "tvb_get_ptr()" to get a pointer to a data structure, and
dereference that pointer - there's no guarantee that the structure in
question will be located on an appropriate boundary in the data from the
packet (regardless of whether it's properly aligned within the data for
the protocol being dissected).

Put the record length for an EFP request into the protocol tree.

Check the sanity of the payload length for that request.

In "zonenm_to_str()", don't assume there's a null terminator in the
packet - use "tvb_get_string()" so that the buffer into which it's
copied is explicitly null-terminated.

Put the Domain & Port into the protocol tree as a "0xXXXXXXXX" string,
rather than as a string with one blank in it.

------------------------------------------------------------------------
r12904 | guy | 2004-12-31 14:35:55 -0600 (Fri, 31 Dec 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcfcs.c

Note what Fibre Channel spec documents this protocol.

Don't assign the const pointers passed to hash routines to non-const
pointers.

Don't assume that strings the spec says are null-terminated are
necessarily null-terminated in the packet - use "tvb_strsize()" to find
the length of the purported null-terminated string; it'll throw the
appropriate exception if no null is found.

------------------------------------------------------------------------
r12903 | lroland | 2004-12-31 08:53:17 -0600 (Fri, 31 Dec 2004) | 1 line
Changed paths:
   M /trunk/plugins/Xplugin_table.h
   M /trunk/plugins/plugin_api_list.c

Update some function declarations in the plugin api
------------------------------------------------------------------------
r12902 | lroland | 2004-12-31 08:27:38 -0600 (Fri, 31 Dec 2004) | 14 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/matelib/h225_ras.mate
   M /trunk/plugins/mate/matelib/isup.mate
   M /trunk/plugins/mate/packet-mate.c

From Luis Ontanon for Mate:
- moved gop and gog indexes into gopcfgs, which is a propedeutic
change for upcoming changes in the way gops are to be grouped
-  changed the way gog-keys are kept in memory
- every gopkey attribute is copied into the gop->extras to avoid
redundancy in the configuration
- added timers to gogs mate.gog_type.StartTime and mate.gog_type.Time
- fixed a bug in scs_subscribe that mangled some strings
- minor interface improvement to scs propedeutic to having types avp
values in a future
- changed medium and large into mate_medium and mate_large in the
scs_collection
- fixed Mode=Replace in Transforms, now it works
- fixed a crash at reinit due to impropper initialization of mate_items
------------------------------------------------------------------------
r12901 | lroland | 2004-12-31 08:14:44 -0600 (Fri, 31 Dec 2004) | 2 lines
Changed paths:
   M /trunk/tap-h225counter.c

Fix from Luis Ontanon:
Bring tap-h225counter.c in sync with newest revision of the h225 dissector
------------------------------------------------------------------------
r12900 | guy | 2004-12-30 21:18:13 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Use "proto_tree_add_item()" to add a chunk of bytes to the protocol
tree.

------------------------------------------------------------------------
r12899 | guy | 2004-12-30 21:17:00 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pflog.c

Don't assign const pointers to non-const pointers, especially if the
object pointed to by the non-const pointer won't be modified.

------------------------------------------------------------------------
r12898 | guy | 2004-12-30 21:14:18 -0600 (Thu, 30 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pres.c

"string_to_hex()" doesn't modify its first argument, so make it a
"const" pointer, and don't cast away the constness of "tvb_get_ptr()"s
result when passing it to "string_to_hex()".

------------------------------------------------------------------------
r12897 | guy | 2004-12-30 21:12:51 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Don't cast away the constness of pointers passed to "ip_to_str()" -
"ip_to_str()" takes a "const guint8 *" argument.

------------------------------------------------------------------------
r12896 | guy | 2004-12-30 21:10:11 -0600 (Thu, 30 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-edonkey.c

There are no guarantees that "strncasecmp()" works with
non-null-terminated strings, so be safe and fetch the metatag string
with "tvb_get_string()".

------------------------------------------------------------------------
r12895 | guy | 2004-12-30 20:48:53 -0600 (Thu, 30 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcip.c

Use "tvb_memeql()" to check whether specified bytes in a packet have a
specified value.

Make a constant array "const".

------------------------------------------------------------------------
r12894 | guy | 2004-12-30 20:16:05 -0600 (Thu, 30 Dec 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

Don't cast away the constness of argument pointers.

Don't supply our own definition of AF_INET or our own declaration of
"inet_pton()" - use the system ones if they're available.

"mkipv4_address()" doesn't modify the string passed to it - make it a
const pointer.

------------------------------------------------------------------------
r12893 | guy | 2004-12-30 20:13:42 -0600 (Thu, 30 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c

Don't roll our own code to display IPv4 or IPv6 addresses, use
"ip_to_str()" and "ip6_to_str()".

Check the length of items for IPv4 and IPv6 addresses before displaying
them as such.

------------------------------------------------------------------------
r12892 | guy | 2004-12-30 20:11:13 -0600 (Thu, 30 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

Don't assign the const pointers passed to hash routines to non-const
pointers.

Now that "col_set_str()" takes a "const char *" as the second argument,
we don't have to cast away the constness of strings passed to it.

------------------------------------------------------------------------
r12891 | guy | 2004-12-30 20:09:48 -0600 (Thu, 30 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mtp3.c

Don't assign a const pointer argument to a non-const pointer variable.

------------------------------------------------------------------------
r12890 | guy | 2004-12-30 20:08:01 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-sip.c

Don't assign the const pointers passed to hash routines to non-const
pointers.

------------------------------------------------------------------------
r12889 | guy | 2004-12-30 20:03:16 -0600 (Thu, 30 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c

Properly cast the pointer assigned to col_info->col_data.

------------------------------------------------------------------------
r12888 | guy | 2004-12-30 20:02:19 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

"proto_registrar_get_byname()" doesn't modify its argument, so make it
"const char *".

------------------------------------------------------------------------
r12887 | guy | 2004-12-30 20:01:03 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/timestats.c
   M /trunk/timestats.h

Make arguments "const *" if the routine doesn't modify the object to
which they point.

------------------------------------------------------------------------
r12886 | jmayer | 2004-12-30 19:56:22 -0600 (Thu, 30 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Make sure print_buff is \0-terminated
------------------------------------------------------------------------
r12885 | jmayer | 2004-12-30 19:37:54 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

As pointed out by Guy: We should be able to filter on the original SSID,
so use a copy of the existing one for printing.

------------------------------------------------------------------------
r12884 | guy | 2004-12-30 18:33:54 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/service_response_time_table.c

In column sort routines, make the row pointers "const" pointers, as the
arguments passed in corresponding to those pointers are gconstpointers.

------------------------------------------------------------------------
r12883 | guy | 2004-12-30 18:32:00 -0600 (Thu, 30 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/plugins.c
   M /trunk/epan/plugins.h

As "get_persconffile_path()" doesn't return a "const char *", neither
does "get_plugins_pers_dir()" - and "get_plugins_global_dir()" doesn't
return one either.  Both of them return mallocated data, and making them
return a "const char *" just causes compiler whining when you try to
free them.

------------------------------------------------------------------------
r12882 | guy | 2004-12-30 18:29:09 -0600 (Thu, 30 Dec 2004) | 3 lines
Changed paths:
   M /trunk/color_filters.c

"get_persconffile_path()" doesn't return a "const char *", it just
returns a "char *", so don't assign its return value to a "const char *".

------------------------------------------------------------------------
r12881 | guy | 2004-12-30 18:26:36 -0600 (Thu, 30 Dec 2004) | 21 lines
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/tap_dfilter_dlg.c

"gtk_entry_get_text()" returns a "const char *" - assign the result to
one.

"get_basename()" doesn't modify its argument, and its callers don't
modify the substring pointed to by the result, so make it take a "const
char *" as an argument and return a "const char *". 

"find_last_pathname_separator()" doesn't modify its argument, so make it
a "const char *" - but some of its callers pass a non-"const" "char *"
and modify the result, so don't make its return value a "const char *".
And, as none of its callers are outside "filesystem.c", make it static.

In "about_folders_page_new()", have separate variables for pathnames
returned as "const char *" (which are cached by the routine that returns
them, so you can't modify them - and can't free them, so get rid of the
commented-out "g_free()" calls for them) and pathnames returned as "char
*" (which are allocated anew for each call, and can be modified, but
have to be freed).

Clean up white space.

------------------------------------------------------------------------
r12880 | guy | 2004-12-30 18:12:25 -0600 (Thu, 30 Dec 2004) | 5 lines
Changed paths:
   M /trunk/gtk/packet_list.c
   M /trunk/ui_util.h

Make the "col_data" field in a "column_info" structure a pointer to an
array of "const char *" rather than to an array of "char *", and make
the second argument of "col_set_str()" a "const char *" - there's no
guarantee that "col_data" points to something you're allowed to modify.

------------------------------------------------------------------------
r12879 | guy | 2004-12-30 18:05:22 -0600 (Thu, 30 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add a "tvb_bytes_to_str_punct()" routine, which wraps
"bytes_to_str_punct()", and use it instead of extracting the bytes and
formatting them by hand.

Also, export "bytes_to_str_punct()".

------------------------------------------------------------------------
r12878 | guy | 2004-12-30 17:57:29 -0600 (Thu, 30 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/column-utils.h

Make the "col_data" field in a "column_info" structure a pointer to an
array of "const char *" rather than to an array of "char *", and make
the second argument of "col_set_str()" a "const char *" - there's no
guarantee that "col_data" points to something you're allowed to modify.

------------------------------------------------------------------------
r12877 | guy | 2004-12-30 17:56:12 -0600 (Thu, 30 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/adler32.c
   M /trunk/epan/adler32.h

The first argument to "adler32_bytes()" is only passed on to
"update_adler32()", and the corresponding argument is a "const unsigned
char *", so that argument can be a "const unsigned char *".

------------------------------------------------------------------------
r12876 | guy | 2004-12-30 17:47:52 -0600 (Thu, 30 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Add a "tvb_bytes_to_str_punct()" routine, which wraps
"bytes_to_str_punct()", and use it instead of extracting the bytes and
formatting them by hand.

------------------------------------------------------------------------
r12875 | guy | 2004-12-30 17:42:02 -0600 (Thu, 30 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column_info.h
   M /trunk/gtk/packet_win.c
   M /trunk/print.c

Make the "col_data" field in a "column_info" structure a pointer to an
array of "const char *" rather than to an array of "char *", and make
the second argument of "col_set_str()" a "const char *" - there's no
guarantee that "col_data" points to something you're allowed to modify.

------------------------------------------------------------------------
r12874 | guy | 2004-12-30 17:19:17 -0600 (Thu, 30 Dec 2004) | 7 lines
Changed paths:
   M /trunk/plugins/rtnet/packet-rtnet.c

We now require gint64/guint64 support to build Ethereal, so get rid of
the #ifdefs.

Don't use "%ll[doux]" - not all platforms use "ll" as the length
specifier for 64-bit integers in formats.  Use PRI[doux]64 instead, to
handle platforms where some other length specifier is used.

------------------------------------------------------------------------
r12873 | etxrab | 2004-12-30 16:40:21 -0600 (Thu, 30 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h

Change a function name in preparation for genereating H.245 and H.225 dissectors with asn2etrh
------------------------------------------------------------------------
r12872 | etxrab | 2004-12-30 16:39:28 -0600 (Thu, 30 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/libethereal.def

Change a function name in preparation for genereating H.245 and H.225 dissectors with asn2etrh
------------------------------------------------------------------------
r12871 | etxrab | 2004-12-30 16:38:59 -0600 (Thu, 30 Dec 2004) | 1 line
Changed paths:
   M /trunk/gtk/h225_counter.c

Change a function name in preparation for genereating H.245 and H.225 dissectors with asn2etrh
------------------------------------------------------------------------
r12870 | guy | 2004-12-30 12:34:11 -0600 (Thu, 30 Dec 2004) | 2 lines
Changed paths:
   M /trunk/plugins/Xass-list
   M /trunk/plugins/Xplugin_api.c
   M /trunk/plugins/Xplugin_api.h
   M /trunk/plugins/Xplugin_api_decls.h
   M /trunk/plugins/Xplugin_table.h

Regenerate.

------------------------------------------------------------------------
r12869 | guy | 2004-12-30 12:33:14 -0600 (Thu, 30 Dec 2004) | 2 lines
Changed paths:
   M /trunk/plugins/plugin_api_list.c

Fix the declaration of "tap_queue_packet()" to match its new signature.

------------------------------------------------------------------------
r12868 | gerald | 2004-12-30 10:45:37 -0600 (Thu, 30 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

From Vincent Jardin: Fix the dissection of relayed messages.

------------------------------------------------------------------------
r12867 | guy | 2004-12-29 21:32:38 -0600 (Wed, 29 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add "get_addr_name()" to the list of items exported by libethereal.

------------------------------------------------------------------------
r12866 | guy | 2004-12-29 20:28:50 -0600 (Wed, 29 Dec 2004) | 2 lines
Changed paths:
   M /trunk/gtk/conversations_table.c

Fix some cut-and-pasteos.

------------------------------------------------------------------------
r12865 | guy | 2004-12-29 20:27:00 -0600 (Wed, 29 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-null.c

In the "capture_null()" routine, handle IPv6.

------------------------------------------------------------------------
r12864 | guy | 2004-12-29 20:21:33 -0600 (Wed, 29 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Update a URL.

------------------------------------------------------------------------
r12863 | guy | 2004-12-29 20:10:24 -0600 (Wed, 29 Dec 2004) | 8 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/epan/column-utils.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/prefs.c
   M /trunk/epan/tap.c
   M /trunk/epan/tap.h
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/util.c

Add a "get_addr_name()" routine that takes an "address *" and attempts
to resolve it to a name.

Fix up some const-pointer-to-non-const-pointer, and
function-pointer-to-void-*, conversions.

Fix some comments.

------------------------------------------------------------------------
r12862 | guy | 2004-12-29 16:31:56 -0600 (Wed, 29 Dec 2004) | 3 lines
Changed paths:
   M /trunk/gtk/help_dlg.h

From Albert Chin: not all compilers support a comma after the last value
in an enum.

------------------------------------------------------------------------
r12861 | guy | 2004-12-29 16:17:04 -0600 (Wed, 29 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-nsip.c

From Albert Chin: get rid of C99/GCCisms (initializing automatic
structures with non-constant values).

------------------------------------------------------------------------
r12860 | guy | 2004-12-29 15:31:18 -0600 (Wed, 29 Dec 2004) | 3 lines
Changed paths:
   M /trunk/gtk/cfilter_combo_utils.c

From Albert Chin: "config.h" should always be included first first when
using AC_SYS_LARGEFILE.

------------------------------------------------------------------------
r12859 | guy | 2004-12-29 15:29:53 -0600 (Wed, 29 Dec 2004) | 3 lines
Changed paths:
   M /trunk/capture_loop.c

Pass "capture_opts" to "capture_loop_dispatch()", as
"capture_loop_dispatch()" uses it.

------------------------------------------------------------------------
r12858 | guy | 2004-12-29 15:20:42 -0600 (Wed, 29 Dec 2004) | 4 lines
Changed paths:
   M /trunk/capture_sync.c

Fix it to compile on systems without "pcap_datalink_val_to_name()" (or
with "pcap_datalink_val_to_name()" but without a declaration of it in
"pcap.h" *cough* Software Update *cough*).

------------------------------------------------------------------------
r12857 | gerald | 2004-12-29 10:25:06 -0600 (Wed, 29 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/except.c

Remove some unneeded backslashes.

------------------------------------------------------------------------
r12856 | gerald | 2004-12-29 09:54:55 -0600 (Wed, 29 Dec 2004) | 5 lines
Changed paths:
   M /trunk/make-version.pl

If we can't find the "svn" executable in the current path, look in
"c:/cygwin/lib/subversion/bin/", which is the current default location
for Subversion 1.1.1 under Cygwin.  If we still can't find "svn", simply
return instead of exiting.

------------------------------------------------------------------------
r12855 | ulfl | 2004-12-29 06:37:06 -0600 (Wed, 29 Dec 2004) | 1 line
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/main.c

move global capture_child flag into capture_options
------------------------------------------------------------------------
r12854 | kukosa | 2004-12-29 06:28:16 -0600 (Wed, 29 Dec 2004) | 13 lines
Changed paths:
   M /trunk/tools/asn2eth.py

- new optional parameter ETH_VAR for #.EXPORTS directive
- few fixes for last changes

Summary of changes during last three revisions
- NULL can be used in #.PDU or #.REGISTER directive
- fix in cyclic dependency handling
- keep <proto>-exp.cnf file regardless of '-k' option
- handling of negative values in SingleValue or ValueRange constraints
- handling of all SEQUONCE/SET (OF) types including SIZE constraint
- rename ber_sequence->ber_sequence_t and ber_choice->ber_choice_t
- rename dissect_ber_integer_new()->dissect_ber_integer()
- fix number of parameters for dissect_per_GeneralString()

------------------------------------------------------------------------
r12853 | ulfl | 2004-12-29 03:09:35 -0600 (Wed, 29 Dec 2004) | 3 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_loop.c
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h

Don't use a global capture_opts in the capturing engine (this isn't a good idea). Do some more "housekeeping" in the capturing part. 

Hopefully the unspecified forward declaration of capture_options_t in main.h is portable, but buildbot will tell me. This way I need the internals of that struct only at the places I really use it.
------------------------------------------------------------------------
r12852 | guy | 2004-12-28 19:08:20 -0600 (Tue, 28 Dec 2004) | 4 lines
Changed paths:
   M /trunk/alert_box.c
   M /trunk/capture_loop.c
   M /trunk/editcap.c
   M /trunk/epan/filesystem.c
   M /trunk/file.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/dfilter_expr_dlg.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/webbrowser.c
   M /trunk/mergecap.c
   M /trunk/pcap-util.c
   M /trunk/tap-protocolinfo.c
   M /trunk/tap-rpcstat.c
   M /trunk/tethereal.c
   M /trunk/version_info.c

Make the tone of the error messages a bit less formal, by using
contractions.  (Safari does, at least when you're trying to open a file
to which you don't have read access.)

------------------------------------------------------------------------
r12851 | guy | 2004-12-28 18:51:29 -0600 (Tue, 28 Dec 2004) | 5 lines
Changed paths:
   M /trunk/capture_loop.c

Use the "errmsg_len" argument to "capture_loop_open_output()" -
"sizeof(errmsg)', when "errmsg" is a "char *", doesn't give the size of
the string to which "errmsg" points, it gives the size of the pointer
itself, which is too small.

------------------------------------------------------------------------
r12850 | guy | 2004-12-28 18:44:45 -0600 (Tue, 28 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/etypes.h

Add Ethernet type for DEC Local Area Systems Transport.

------------------------------------------------------------------------
r12849 | gerald | 2004-12-28 13:59:50 -0600 (Tue, 28 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/except.c

Remove some macros that were making the "splint" utility throw a fit.

------------------------------------------------------------------------
r12848 | ulfl | 2004-12-27 18:36:06 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/capture_loop.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/ringbuffer.h

some code cleanup (comments changed)
------------------------------------------------------------------------
r12847 | ulfl | 2004-12-27 18:10:04 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/doc/README.developer

add a more detailed description, how to add a new dissector file
------------------------------------------------------------------------
r12846 | ulfl | 2004-12-27 16:04:49 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/capture_loop.c

a lot of code cleanup/refactoring
------------------------------------------------------------------------
r12845 | ulfl | 2004-12-27 15:35:09 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.h

fix a freebsd buildbot compile error, caused by myself :-(
------------------------------------------------------------------------
r12844 | ulfl | 2004-12-27 10:11:08 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mtp3.h

fix a solaris buildbot compile error
------------------------------------------------------------------------
r12843 | ulfl | 2004-12-27 08:27:27 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/docbook/catalog.xml

location of cygwin's docbook xml changed
------------------------------------------------------------------------
r12842 | ulfl | 2004-12-27 07:17:20 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c

Again, some warnings removed.
------------------------------------------------------------------------
r12841 | ulfl | 2004-12-27 04:11:28 -0600 (Mon, 27 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Again, another warning (hopefully) removed.
------------------------------------------------------------------------
r12840 | guy | 2004-12-26 16:52:16 -0600 (Sun, 26 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From Jouni Malinen: use a length field from the packet to determine how
much data is available, rather than using "tvb_length_remaining()".

------------------------------------------------------------------------
r12839 | guy | 2004-12-26 16:26:02 -0600 (Sun, 26 Dec 2004) | 7 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/arptypes.h
   M /trunk/epan/dissectors/packet-arp.c
   M /trunk/epan/dissectors/packet-bootp.c

From Yaniv Kaul: add Ethernet address-to-name (or, at least, address-to-
vendor-name-and-next-three-bytes-in-hex) resolution for Ethernet/802.x
hardware addresses.

Move the ARP hardware types into a header file, for use by dissectors
other than the ARP dissector.

------------------------------------------------------------------------
r12838 | gerald | 2004-12-26 12:58:52 -0600 (Sun, 26 Dec 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-dhcpv6.c

From Vincent Jardin:
 - support for new DHCPv6 options
 - fix for the support of OPTION_RELAY_MSG 

------------------------------------------------------------------------
r12837 | ulfl | 2004-12-26 04:11:42 -0600 (Sun, 26 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Again, some warnings removed.
------------------------------------------------------------------------
r12836 | guy | 2004-12-25 18:28:47 -0600 (Sat, 25 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From Jouni Malinen: dissect TLS extensions (RFC 3546) for ClientHello
and ServerHello.

------------------------------------------------------------------------
r12835 | guy | 2004-12-25 18:22:16 -0600 (Sat, 25 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dns.h
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-radius.c

From Luis Ontanon: add more filterable fields to DNS, PGM, GTP, and RADIUS.

------------------------------------------------------------------------
r12834 | ulfl | 2004-12-25 12:35:21 -0600 (Sat, 25 Dec 2004) | 1 line
Changed paths:
   M /trunk/dftest.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-x11.c

Again, some warnings removed.
------------------------------------------------------------------------
r12833 | ulfl | 2004-12-25 08:46:40 -0600 (Sat, 25 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pgsql.c

Fix a core dump causing the buildbot test menagerie to fail. It was caused by incorrectly trying to proto_tree_add_item() with a very huge length. However, someone with more SQL knowledge than me should have a qualified look at that place and do a better fix.
------------------------------------------------------------------------
r12832 | ulfl | 2004-12-25 07:49:30 -0600 (Sat, 25 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-aim-oft.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nlm.c
   M /trunk/epan/dissectors/packet-portmap.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/h225-persistentdata.c
   M /trunk/plugins/acn/packet-acn.c
   M /trunk/plugins/asn1/packet-asn1.c

a lot of warnings removed, most of them about pointer to int casts without using the appropriate GLib macros
------------------------------------------------------------------------
r12831 | ulfl | 2004-12-25 04:30:58 -0600 (Sat, 25 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-windows-common.c

Again, some warnings removed.
------------------------------------------------------------------------
r12830 | ulfl | 2004-12-24 17:17:38 -0600 (Fri, 24 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcm.c

use GLib's pointer to int conversion macros to prevent compiler warnings
------------------------------------------------------------------------
r12829 | guy | 2004-12-24 16:21:23 -0600 (Fri, 24 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vj.c

Note the RFC that describes VJ compression.

------------------------------------------------------------------------
r12828 | sahlberg | 2004-12-24 06:39:21 -0600 (Fri, 24 Dec 2004) | 4 lines
Changed paths:
   A /trunk/asn1/pkixcmp
   A /trunk/asn1/pkixcmp/CMP.asn
   A /trunk/asn1/pkixcmp/Makefile
   A /trunk/asn1/pkixcmp/cmp-exp.cnf
   A /trunk/asn1/pkixcmp/cmp.cnf
   A /trunk/asn1/pkixcmp/packet-cmp-template.c
   A /trunk/asn1/pkixcmp/packet-cmp-template.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-cmp.c
   A /trunk/epan/dissectors/packet-cmp.h

New protocol RFC2510   PKIXCMP   Certificate Management Protocol



------------------------------------------------------------------------
r12827 | sahlberg | 2004-12-24 06:22:52 -0600 (Fri, 24 Dec 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.c
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.h
   M /trunk/asn1/pkix1implicit/pkix1implicit_exp.cnf
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h

export ResonFlags from pkix1implicit


------------------------------------------------------------------------
r12826 | sahlberg | 2004-12-24 06:16:27 -0600 (Fri, 24 Dec 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.h
   M /trunk/asn1/pkix1explicit/pkix1explicit_exp.cnf
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h

export Certificate and CertificateList from pkix1explicit


------------------------------------------------------------------------
r12825 | sahlberg | 2004-12-24 05:32:13 -0600 (Fri, 24 Dec 2004) | 3 lines
Changed paths:
   A /trunk/asn1/pkixcrmf
   A /trunk/asn1/pkixcrmf/CRMF.asn
   A /trunk/asn1/pkixcrmf/Makefile
   A /trunk/asn1/pkixcrmf/crmf-exp.cnf
   A /trunk/asn1/pkixcrmf/crmf.cnf
   A /trunk/asn1/pkixcrmf/packet-crmf-template.c
   A /trunk/asn1/pkixcrmf/packet-crmf-template.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-crmf.c
   A /trunk/epan/dissectors/packet-crmf.h

New "protocol"   the support functions from RFC2511  Certificate Request Message Format   CRMF


------------------------------------------------------------------------
r12824 | sahlberg | 2004-12-24 05:24:35 -0600 (Fri, 24 Dec 2004) | 3 lines
Changed paths:
   M /trunk/asn1/cms/cms-exp.cnf
   M /trunk/asn1/cms/cms.cnf
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h

export EnvelopedData


------------------------------------------------------------------------
r12823 | sahlberg | 2004-12-23 13:56:29 -0600 (Thu, 23 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

RST segmetns are never WindowFull segments.


------------------------------------------------------------------------
r12822 | sahlberg | 2004-12-23 13:53:24 -0600 (Thu, 23 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

add another error code to dcerpc


------------------------------------------------------------------------
r12821 | ulfl | 2004-12-23 07:34:02 -0600 (Thu, 23 Dec 2004) | 1 line
Changed paths:
   M /trunk/gtk/webbrowser.c

show a simple_dialog, if we use glib 1.x and trying to open a webbrowser (not implemented). This will prevent another compiler warning.
------------------------------------------------------------------------
r12820 | lroland | 2004-12-23 02:27:30 -0600 (Thu, 23 Dec 2004) | 17 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/mate_util.h
   M /trunk/plugins/mate/matelib/isup.mate
   M /trunk/plugins/mate/matelib/radius.mate
   M /trunk/plugins/mate/moduleinfo.h
   M /trunk/plugins/mate/packet-mate.c

Fixes for Mate from Luis Ontanon:
- fixes crash at reinit when DiscardPduData=TRUE: check if there's an
avpl before deleting it.
- mate.pdu_type.RelativeTime had a dual use, add
mate.pdu_type.TimeInGop and leave the other alone.
- other fixes related to times (they now seem to be right)
- scs_subscribe doesn't use g_malloc anymore. it uses GMemChunks
(I had to rename two GMemChunks to make MSVC happy)
- fixes crash at reinit when DiscardPduData=TRUE: check if there's an
avpl before deleting it.
- mate.pdu_type.RelativeTime had a dual use, add
mate.pdu_type.TimeInGop and leave the other alone.
- other fixes related to times (they now seem to be right)
- fixed few things at reinit:
     - reset last_id 
     - remove the nodes in the items hash tables 

------------------------------------------------------------------------
r12819 | ulfl | 2004-12-22 18:27:20 -0600 (Wed, 22 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

Again, some warnings removed.
------------------------------------------------------------------------
r12818 | sharpe | 2004-12-22 13:44:42 -0600 (Wed, 22 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c


Clean up one more instance of 8-byte timestamps in SMB. Have to work on
the 4-byte ones soon.


------------------------------------------------------------------------
r12817 | guy | 2004-12-22 13:27:09 -0600 (Wed, 22 Dec 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

RFC 2868 says that the length of a "tagged string" field must be at
least 3 - 2 for type+length and 1 for the tag - so treat a "tagged
string" field as bad if there isn't at least one byte of data.  (It's a
bit odd that the RFC says that the tag must be in the range 0x01-0x1F -
that sounds suspiciously as if they're saying "printable characters
aren't valid tags", to allow untagged strings, which might suggest that
a field with a length of 2 should be interpreted as an empty string.)

------------------------------------------------------------------------
r12816 | guy | 2004-12-22 04:44:20 -0600 (Wed, 22 Dec 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Check for all bogus ACE lengths, i.e. all lengths < 4.

Clean up indentation.

Add a comment asking whether the revision in an ACL is *really* 2 bytes
and the ACE count is *really* 4 bytes.

------------------------------------------------------------------------
r12815 | guy | 2004-12-22 03:58:28 -0600 (Wed, 22 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Add only one protocol tree item for the "weak IV" flag - add it as a
non-hidden Boolean, and use "proto_tree_add_boolean_format()" to add it
to include the key byte.

------------------------------------------------------------------------
r12814 | guy | 2004-12-22 03:46:14 -0600 (Wed, 22 Dec 2004) | 7 lines
Changed paths:
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/hostlist_wlan.c

Change the RCS ID - it's not getting expanded when it's "$Id $".

Fix a comment in conversations_wlan.c.

Refer to "WLAN" in hostlist_wlan.c, just as we do in
conversations_wlan.c.

------------------------------------------------------------------------
r12813 | guy | 2004-12-22 03:19:01 -0600 (Wed, 22 Dec 2004) | 4 lines
Changed paths:
   M /trunk/gtk/print_dlg.c

From Brett Kuskie: recalculate the ranges every time an export dialog is
opened, not just the first time, so that if the packet counts change
up-to-date values are displayed.

------------------------------------------------------------------------
r12812 | sharpe | 2004-12-21 20:40:33 -0600 (Tue, 21 Dec 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c


Add a dissection for the GET_NETWORK_FILE_OPEN_INFO and make some stuff that
we do in several places into a subroutine. We need to do it also with the 
4-byte time stamps that are dissected all over the place. 

I had thought that that last unknown in the returned structure might be 
a count of the number of clients that have the file open, but a simple test
suggests that that is not the case.


------------------------------------------------------------------------
r12811 | guy | 2004-12-21 19:51:00 -0600 (Tue, 21 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

In the "rdconvertXXXtostr()" routines, check that the length passed in
is >= 0 (if it's not, that's a bug), and make the buffer index and total
length variables int as well, to match the length.

------------------------------------------------------------------------
r12810 | guy | 2004-12-21 19:42:54 -0600 (Tue, 21 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Move the RADIUS_TIMESTAMP, RADIUS_INTEGER4_TAGGED, and RADIUS_UNKNOWN
case branches up, so the case branches are in the same order as the
elements of the enum are, and add length checks to RADIUS_TIMESTAMP and
RADIUS_INTEGER4_TAGGED.

------------------------------------------------------------------------
r12809 | guy | 2004-12-21 18:30:39 -0600 (Tue, 21 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Properly declare a variable as volatile, as the longjmp done by the
exception mechanism might clobber it otherwise.

------------------------------------------------------------------------
r12808 | guy | 2004-12-21 18:23:55 -0600 (Tue, 21 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Add some checks to make sure the AVP length is large enough for the item
we're fetching from the AVP.

In the case of a tagged string, if the length is 2 (meaning the data
length is 0), assume there's no tag.

------------------------------------------------------------------------
r12807 | guy | 2004-12-21 17:26:01 -0600 (Tue, 21 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dnp.c

Fix one comment, and put in another one giving a note about where you
can get the protocol specs.

------------------------------------------------------------------------
r12806 | obiot | 2004-12-21 15:17:44 -0600 (Tue, 21 Dec 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

From Victor Stratan: GSM SMS fixes:

 - Corrected incorrect Timezone output due to byte overflow.

 - Added descriptions for address string decoding.


------------------------------------------------------------------------
r12805 | guy | 2004-12-21 14:36:50 -0600 (Tue, 21 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

Use "format_text()" on strings, to better handle non-printable
characters.

------------------------------------------------------------------------
r12804 | guy | 2004-12-21 14:03:47 -0600 (Tue, 21 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

Put the strings for the X-Mms-Previously-Sent-By header under the MMSE
tree rather than at the top level.

------------------------------------------------------------------------
r12803 | guy | 2004-12-21 13:28:48 -0600 (Tue, 21 Dec 2004) | 18 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.h
   M /trunk/epan/dissectors/packet-rtp.h
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-t38.h

Make the array for the "setup method" for RTP, RTCP, and T.38
conversations large enough to hold the maximum setup method size plus a
trailing '\0'.  Make the maximum setup method size 7, so that when the
trailing '\0' is included the total array length is a power of 2.  (The
longest string currently used is "Skinny", which fits in 7 characters).

This fixes problems in the RTP and RTCP dissectors similar to the one
found in the T.38 dissector.

Undo the previous change to packet-t38.c, as it's now safe to store in
method[MAX_T38_SETUP_METHOD_SIZE], because the array now has
MAX_T38_SETUP_METHOD_SIZE+1 characters.

(Should we use "strlcpy()", and supply our own "strlcpy()" if the system
and/or C library doesn't supply it?  Its semantics are a bit cleaner
than those of the "strncpy()"/null-terminate idiom, perhaps making it
less likely that mistakes of this sort will be made.)

------------------------------------------------------------------------
r12802 | sahlberg | 2004-12-21 11:05:14 -0600 (Tue, 21 Dec 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

from metze

make ethereal handle gss-api encrypted ldap blobs


------------------------------------------------------------------------
r12801 | sahlberg | 2004-12-21 10:44:11 -0600 (Tue, 21 Dec 2004) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

abs_time_to_str() returns a staticly allocated string.  dont g_free() it.

fix two instances of wrong parameter list to proto_tree_add_string_format()

if we call proto_tree_string()  the hf field has to be of a string format as well.



now it dissects christophe's capture without dumping core  but it looks weird.
mmse and telco people can read the specs and find ut what it wrong.



------------------------------------------------------------------------
r12800 | jmayer | 2004-12-21 07:18:08 -0600 (Tue, 21 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pgsql.c

Abhijit Menon-Sen:
        - Make port configurable via prefs
        - Highlight keywords in addition to values in hexpane

------------------------------------------------------------------------
r12799 | jmayer | 2004-12-21 06:30:24 -0600 (Tue, 21 Dec 2004) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee80211.h
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/conversations_wlan.c
   A /trunk/gtk/hostlist_wlan.c

Giles Scott: Add Wlan tap


------------------------------------------------------------------------
r12798 | jmayer | 2004-12-21 06:26:43 -0600 (Tue, 21 Dec 2004) | 1 line
Changed paths:
   M /trunk/wiretap/configure.in

Small Whitespacechange
------------------------------------------------------------------------
r12797 | ulfl | 2004-12-21 04:02:42 -0600 (Tue, 21 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

Again, some warnings removed.
------------------------------------------------------------------------
r12796 | gerald | 2004-12-20 21:50:14 -0600 (Mon, 20 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-t38.c

Fix an off-by-one error when terminating a string.

------------------------------------------------------------------------
r12795 | jmayer | 2004-12-20 17:24:13 -0600 (Mon, 20 Dec 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-pgsql.c
   D /trunk/epan/dissectors/packet-postgresql.c

Abhijit Menon-Sen: Postgres v3 support

------------------------------------------------------------------------
r12794 | guy | 2004-12-20 16:51:05 -0600 (Mon, 20 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

Get rid of extra include of <string.h>.

------------------------------------------------------------------------
r12793 | ulfl | 2004-12-20 16:29:24 -0600 (Mon, 20 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/dissectors/packet-dcom-cba.c
   M /trunk/epan/dissectors/packet-dcom.c

Removed some of the unix related warnings. I'll remove the remaining DCOM related ones in the next days, step by step (by looking at the buildbot output).
------------------------------------------------------------------------
r12792 | guy | 2004-12-20 16:25:13 -0600 (Mon, 20 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

Include <string.h> to declare various functions.

------------------------------------------------------------------------
r12791 | guy | 2004-12-20 16:13:48 -0600 (Mon, 20 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-image-gif.c
   M /trunk/epan/dissectors/packet-image-jfif.c
   M /trunk/epan/dissectors/packet-wsp.c

Use "plurality()" rather than locally-defined "PLURALIZE()" macros, and
get rid of the definition of "PLURALIZE()" in modules that don't use it.

------------------------------------------------------------------------
r12790 | gerald | 2004-12-20 10:15:29 -0600 (Mon, 20 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Remove an unneeded "ntohl()" call.

------------------------------------------------------------------------
r12789 | jmayer | 2004-12-20 07:32:08 -0600 (Mon, 20 Dec 2004) | 4 lines
Changed paths:
   M /trunk/manuf
   M /trunk/manuf.tmpl

At least in some cases some Marconi 2810 send packets with
the locally assigned flag set.
Update manuf, while I'm at it.

------------------------------------------------------------------------
r12788 | jmayer | 2004-12-20 04:56:25 -0600 (Mon, 20 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/sigcomp-udvm.h
   M /trunk/epan/sigcomp_state_hdlr.c

Add NL to last line
------------------------------------------------------------------------
r12787 | jmayer | 2004-12-20 04:49:12 -0600 (Mon, 20 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Found by Buildbot Solaris: isprint.h include only works on glib2 systems
------------------------------------------------------------------------
r12786 | guy | 2004-12-20 03:53:27 -0600 (Mon, 20 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

Put in a stub "dissector" for LDAP_FILTER EXTENSIBLE, so we can at least
dissect packets containing that filter type.

Note that if a dissector for a particular operation fails, we should
stop dissecting rather than trying to dissect the controls.

------------------------------------------------------------------------
r12785 | sahlberg | 2004-12-20 02:44:10 -0600 (Mon, 20 Dec 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

g_strescape only takes one parameter in glib 1.x

this makes ethereal compile for those of us that are not on the bleeding edge.
(gtk1 is much better anyway)


------------------------------------------------------------------------
r12784 | jmayer | 2004-12-19 18:00:06 -0600 (Sun, 19 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ieee80211.h

- Diplay SSID in mangemntframes
- Display unprintable characters in SSID as '.' (SSID charaters
  are of type octet, not alphanum).

------------------------------------------------------------------------
r12783 | ulfl | 2004-12-19 11:26:23 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-pn-io.c
   M /trunk/epan/dissectors/packet-pn-rt.c

removed some gcc warnings (hopefully)
------------------------------------------------------------------------
r12782 | ulfl | 2004-12-19 10:49:34 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h

add some IRemUnknown dissectors
------------------------------------------------------------------------
r12781 | ulfl | 2004-12-19 10:30:25 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-oxid.c

tweak some comments
------------------------------------------------------------------------
r12780 | ulfl | 2004-12-19 10:29:08 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-remact.c

add dissection of RemoteActivation method
------------------------------------------------------------------------
r12779 | ulfl | 2004-12-19 10:13:05 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-oxid.c
   M /trunk/epan/dissectors/packet-dcom.c

add a lot of dissect stuff to the OXID resolver, moved some details of the DUALSTRINGARRAY to packet-dcom.c
------------------------------------------------------------------------
r12778 | ulfl | 2004-12-19 10:04:09 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

bugfix: remove empty line, probably caused by eol confusion
------------------------------------------------------------------------
r12777 | ulfl | 2004-12-19 08:08:03 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   D /trunk/epan/dissectors/packet-dcerpc-iremunkn.c
   D /trunk/epan/dissectors/packet-dcerpc-iremunkn2.c
   D /trunk/epan/dissectors/packet-dcerpc-oxid.c
   D /trunk/epan/dissectors/packet-dcerpc-remact.c
   D /trunk/epan/dissectors/packet-dcerpc-sysact.c
   A /trunk/epan/dissectors/packet-dcom-dispatch.c
   A /trunk/epan/dissectors/packet-dcom-oxid.c (from /trunk/epan/dissectors/packet-dcerpc-oxid.c:12776)
   A /trunk/epan/dissectors/packet-dcom-remact.c (from /trunk/epan/dissectors/packet-dcerpc-remact.c:12776)
   A /trunk/epan/dissectors/packet-dcom-remunkn.c (from /trunk/epan/dissectors/packet-dcerpc-iremunkn.c:12776)
   A /trunk/epan/dissectors/packet-dcom-sysact.c (from /trunk/epan/dissectors/packet-dcerpc-sysact.c:12776)

renamed all DCOM related interface dissectors from packet-dcerpc-... to packet_dcom_... and add DCOM IDispatch dissector (incomplete, but better than nothing... ;-)
------------------------------------------------------------------------
r12776 | ulfl | 2004-12-19 07:46:09 -0600 (Sun, 19 Dec 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   A /trunk/epan/dissectors/packet-dcom-cba-acco.c
   A /trunk/epan/dissectors/packet-dcom-cba.c
   A /trunk/epan/dissectors/packet-dcom.c
   A /trunk/epan/dissectors/packet-dcom.h

(on behalf of the PROFIBUS Nutzerorganisation e.V. Deutschland):
another part of the PROFINET dissectors (PN-CBA, including a lot of generic DCOM dissection) still some work to be done ...
------------------------------------------------------------------------
r12775 | ulfl | 2004-12-19 04:30:33 -0600 (Sun, 19 Dec 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   D /trunk/epan/dissectors/packet-dcerpc-epm4.c

Merge dissection of EndpointMapper interfaces of version 3 and 4 into one file, as the dissection of both interface versions are (currently) identical. (Jaime, could you please check, if EPM4 dissection is still working well?)
------------------------------------------------------------------------
r12774 | sahlberg | 2004-12-19 01:18:04 -0600 (Sun, 19 Dec 2004) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

add detection to TCP Analysis to detect and flag segments that will completely fill the window advertized from the other side.

I.e. when a segment is seen that would (as far as ethereal can tell from the ACKs it has seen in the other direction) fill the window completely.

It is similar to but not exactly the same as the XeroWindow detection since there are many instances where ZeroWindow detection would not work (i.e. an ACK where win==0    since many many situations occur where the window is full but no zerowindowack is ever generated)


Someone that has good english could, please, update the Wiki with this option.
It is very very useful to spot performance issues where the tcp window size is too small to accomodate the enmd-to-end latency.





------------------------------------------------------------------------
r12773 | sahlberg | 2004-12-18 22:10:05 -0600 (Sat, 18 Dec 2004) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

abort trying to dissect ldap controls if the header doesnt look right.

it will not solve the problem in the c06-  testmenageri capture that
contains unknown types of ldap commands   but it will at least 
stop the ldap controls dissector from dumping core.

someone interested in ldap might want to look at those "unknown ldap packets"
in the trace.



------------------------------------------------------------------------
r12772 | jmayer | 2004-12-18 22:04:49 -0600 (Sat, 18 Dec 2004) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ieee80211.c

Giles Scott: Port weak key detection from Airsnort


------------------------------------------------------------------------
r12771 | sahlberg | 2004-12-18 21:30:46 -0600 (Sat, 18 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

mark some fields as GENERATED fields



------------------------------------------------------------------------
r12770 | sahlberg | 2004-12-18 21:19:53 -0600 (Sat, 18 Dec 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

the mid values in smb are too unreliable for request/response matching since they wrap so quickly.

This has the effect that if you have a capture file with a hole in it, sa say when snoop or similar stops capturing packets for a while while writing the data to disk   you often end up with a packet just after the hole that is a response packet  and which ethereal mistakenly matches with a request/response from before the hole.


now,  when the first response is seen to a request   remove the entry from the unmatched table so that no other response can match the same request.



------------------------------------------------------------------------
r12769 | sahlberg | 2004-12-18 16:09:06 -0600 (Sat, 18 Dec 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

make ndmp use tcp_dissect_pdus()
so that it will track pdu boundaries properly

not tracking pdu boundaries caused pain since it would miss too many
commands


------------------------------------------------------------------------
r12768 | gerald | 2004-12-17 14:42:35 -0600 (Fri, 17 Dec 2004) | 2 lines
Changed paths:
   M /trunk/make-version.pl

Remove debugging output.

------------------------------------------------------------------------
r12767 | gerald | 2004-12-17 14:41:14 -0600 (Fri, 17 Dec 2004) | 2 lines
Changed paths:
   M /trunk/make-version.pl

Work around a bug in the strftime() code in the Windows version of Perl.

------------------------------------------------------------------------
r12766 | guy | 2004-12-17 13:27:46 -0600 (Fri, 17 Dec 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lmp.c

When the LMP dissector rejects a packet because it {is, isn't} UDP, let
some other dissector have it.

------------------------------------------------------------------------
r12765 | guy | 2004-12-17 13:14:24 -0600 (Fri, 17 Dec 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ldap.c

From Stefan Metzmacher: basic decoding for LDAP Controls.

------------------------------------------------------------------------
r12764 | guy | 2004-12-17 04:09:32 -0600 (Fri, 17 Dec 2004) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Don't start up a splash screen if "-G" is specified, even if we weren't
configured with libpcap support.

------------------------------------------------------------------------
r12763 | lroland | 2004-12-16 13:36:23 -0600 (Thu, 16 Dec 2004) | 8 lines
Changed paths:
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/matelib/isup.mate
   M /trunk/plugins/mate/packet-mate.c

Patch for Mate Plugin.
From Luis Ontanon:
- moves mate configuration from proto_register to proto_register_handoff
- add the config file protocol preference
- every item (gop,gog,pdu) has it's own ett
- the tap doesn't do nothing, it just primes the tree
- analyze_frame()  what once was the tap now is called by the dissector
- should work with tethereal now (to be tested)
------------------------------------------------------------------------
r12762 | gerald | 2004-12-16 13:06:52 -0600 (Thu, 16 Dec 2004) | 6 lines
Changed paths:
   M /trunk/make-version.pl

From Thomas Boehne: Fix the version.conf status message and improve code
readability.

Fix a bug in my previous checkin, so that svnversion.h will be created
even when the ".svn/" directory isn't present.

------------------------------------------------------------------------
r12761 | guy | 2004-12-15 11:50:11 -0600 (Wed, 15 Dec 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

From Yaniv Kaul: add the CCM_POST method.

Tweak indentation.

------------------------------------------------------------------------
